Changeset 3640


Ignore:
Timestamp:
Oct 9, 2003, 11:12:15 PM (17 years ago)
Author:
ssen
Message:

For real this time. Comment out the macro definition in aclocal.m4 as
well, since it was being processed for AC_ARG_WITH even if the
macro for OD_PATH_DPORTSDIR was not being used.

Location:
trunk/base
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/base/aclocal.m4

    r3627 r3640  
    66# OD_PATH_DPORTSDIR(DEFAULT_DPORTSDIR)
    77#---------------------------------------
    8 AC_DEFUN([OD_PATH_DPORTSDIR],[
    9         dnl For ease of reading, run after gcc has been found/configured
    10         AC_REQUIRE([AC_PROG_CC])
    11 
    12         AC_ARG_WITH(dports-dir, [AC_HELP_STRING([--with-dports-dir=DIR], [Specify alternate dports directory])], [ dportsdir="$withval" ] )
    13 
    14 
    15         AC_MSG_CHECKING([for dports tree])
     8# AC_DEFUN([OD_PATH_DPORTSDIR],[
     9#       dnl For ease of reading, run after gcc has been found/configured
     10#       AC_REQUIRE([AC_PROG_CC])
     11
     12#       AC_ARG_WITH(dports-dir, [AC_HELP_STRING([--with-dports-dir=DIR], [Specify alternate dports directory])], [ dportsdir="$withval" ] )
     13
     14
     15#       AC_MSG_CHECKING([for dports tree])
    1616       
    17         if test "x$dportsdir" != "x" ; then
    18           if test -d "$dportsdir" -a -e "$dportsdir/PortIndex" ; then
    19                 :
    20           else
    21                 AC_MSG_ERROR([$dportsdir not a valid dports tree])
    22           fi
    23         else
    24                 dnl If the user didn't give a path, look for default
    25                 if test "x$1" != "x" ; then
    26                   if test -d "$1" -a -e "$1/PortIndex" ; then
    27                         dportsdir=$1
    28                   fi
    29                 fi
    30         fi
    31 
    32         if test "x$dportsdir" != "x" ; then
    33                 AC_MSG_RESULT($dportsdir)
    34                 DPORTSDIR="$dportsdir"
    35                 AC_SUBST(DPORTSDIR)
    36         else
    37                 AC_MSG_WARN([No dports tree found])
    38         fi
    39 
    40         ])
     17#       if test "x$dportsdir" != "x" ; then
     18#         if test -d "$dportsdir" -a -e "$dportsdir/PortIndex" ; then
     19#               :
     20#         else
     21#               AC_MSG_ERROR([$dportsdir not a valid dports tree])
     22#         fi
     23#       else
     24#               dnl If the user didn't give a path, look for default
     25#               if test "x$1" != "x" ; then
     26#                 if test -d "$1" -a -e "$1/PortIndex" ; then
     27#                       dportsdir=$1
     28#                 fi
     29#               fi
     30#       fi
     31
     32#       if test "x$dportsdir" != "x" ; then
     33#               AC_MSG_RESULT($dportsdir)
     34#               DPORTSDIR="$dportsdir"
     35#               AC_SUBST(DPORTSDIR)
     36#       else
     37#               AC_MSG_WARN([No dports tree found])
     38#       fi
     39
     40#         ])
    4141
    4242
     
    4646        dnl if the user actually specified --prefix, shift
    4747        dnl portconfigdir to $prefix/etc/ports
    48         AC_REQUIRE([OD_PATH_DPORTSDIR])
     48        dnl     AC_REQUIRE([OD_PATH_DPORTSDIR])
    4949       
    5050        AC_MSG_CHECKING([for ports config directory])
     
    7373
    7474        AC_ARG_WITH(install-user, [AC_HELP_STRING([--with-install-user=USER], [Specify user ownership of installed files])], [ DSTUSR=$withval ] )
    75 
     75       
    7676        AC_MSG_CHECKING([for install user])
    7777        if test "x$DSTUSR" = "x" ; then
  • trunk/base/configure

    r3639 r3640  
    680680  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    681681  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    682   --with-dports-dir=DIR   Specify alternate dports directory
    683682  --with-install-user=USER
    684683                          Specify user ownership of installed files
     
    884883for ac_site_file in $CONFIG_SITE; do
    885884  if test -r "$ac_site_file"; then
    886     { echo "$as_me:886: loading site script $ac_site_file" >&5
     885    { echo "$as_me:885: loading site script $ac_site_file" >&5
    887886echo "$as_me: loading site script $ac_site_file" >&6;}
    888887    cat "$ac_site_file" >&5
     
    895894  # files actually), so we avoid doing that.
    896895  if test -f "$cache_file"; then
    897     { echo "$as_me:897: loading cache $cache_file" >&5
     896    { echo "$as_me:896: loading cache $cache_file" >&5
    898897echo "$as_me: loading cache $cache_file" >&6;}
    899898    case $cache_file in
     
    903902  fi
    904903else
    905   { echo "$as_me:905: creating cache $cache_file" >&5
     904  { echo "$as_me:904: creating cache $cache_file" >&5
    906905echo "$as_me: creating cache $cache_file" >&6;}
    907906  >$cache_file
     
    919918  case $ac_old_set,$ac_new_set in
    920919    set,)
    921       { echo "$as_me:921: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
     920      { echo "$as_me:920: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
    922921echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
    923922      ac_cache_corrupted=: ;;
    924923    ,set)
    925       { echo "$as_me:925: error: \`$ac_var' was not set in the previous run" >&5
     924      { echo "$as_me:924: error: \`$ac_var' was not set in the previous run" >&5
    926925echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
    927926      ac_cache_corrupted=: ;;
     
    929928    *)
    930929      if test "x$ac_old_val" != "x$ac_new_val"; then
    931         { echo "$as_me:931: error: \`$ac_var' has changed since the previous run:" >&5
     930        { echo "$as_me:930: error: \`$ac_var' has changed since the previous run:" >&5
    932931echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
    933         { echo "$as_me:933:   former value:  $ac_old_val" >&5
     932        { echo "$as_me:932:   former value:  $ac_old_val" >&5
    934933echo "$as_me:   former value:  $ac_old_val" >&2;}
    935         { echo "$as_me:935:   current value: $ac_new_val" >&5
     934        { echo "$as_me:934:   current value: $ac_new_val" >&5
    936935echo "$as_me:   current value: $ac_new_val" >&2;}
    937936        ac_cache_corrupted=:
     
    952951done
    953952if $ac_cache_corrupted; then
    954   { echo "$as_me:954: error: changes in the environment can compromise the build" >&5
     953  { echo "$as_me:953: error: changes in the environment can compromise the build" >&5
    955954echo "$as_me: error: changes in the environment can compromise the build" >&2;}
    956   { { echo "$as_me:956: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
     955  { { echo "$as_me:955: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
    957956echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
    958957   { (exit 1); exit 1; }; }
     
    974973echo  "exit 0"   >>conftest.sh
    975974chmod +x conftest.sh
    976 if { (echo "$as_me:976: PATH=\".;.\"; conftest.sh") >&5
     975if { (echo "$as_me:975: PATH=\".;.\"; conftest.sh") >&5
    977976  (PATH=".;."; conftest.sh) 2>&5
    978977  ac_status=$?
    979   echo "$as_me:979: \$? = $ac_status" >&5
     978  echo "$as_me:978: \$? = $ac_status" >&5
    980979  (exit $ac_status); }; then
    981980  ac_path_separator=';'
     
    10051004done
    10061005if test -z "$ac_aux_dir"; then
    1007   { { echo "$as_me:1007: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
     1006  { { echo "$as_me:1006: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&5
    10081007echo "$as_me: error: cannot find install-sh or install.sh in $srcdir $srcdir/.. $srcdir/../.." >&2;}
    10091008   { (exit 1); exit 1; }; }
     
    10151014# Make sure we can run config.sub.
    10161015$ac_config_sub sun4 >/dev/null 2>&1 ||
    1017   { { echo "$as_me:1017: error: cannot run $ac_config_sub" >&5
     1016  { { echo "$as_me:1016: error: cannot run $ac_config_sub" >&5
    10181017echo "$as_me: error: cannot run $ac_config_sub" >&2;}
    10191018   { (exit 1); exit 1; }; }
    10201019
    1021 echo "$as_me:1021: checking build system type" >&5
     1020echo "$as_me:1020: checking build system type" >&5
    10221021echo $ECHO_N "checking build system type... $ECHO_C" >&6
    10231022if test "${ac_cv_build+set}" = set; then
     
    10281027  ac_cv_build_alias=`$ac_config_guess`
    10291028test -z "$ac_cv_build_alias" &&
    1030   { { echo "$as_me:1030: error: cannot guess build type; you must specify one" >&5
     1029  { { echo "$as_me:1029: error: cannot guess build type; you must specify one" >&5
    10311030echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
    10321031   { (exit 1); exit 1; }; }
    10331032ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
    1034   { { echo "$as_me:1034: error: $ac_config_sub $ac_cv_build_alias failed." >&5
     1033  { { echo "$as_me:1033: error: $ac_config_sub $ac_cv_build_alias failed." >&5
    10351034echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed." >&2;}
    10361035   { (exit 1); exit 1; }; }
    10371036
    10381037fi
    1039 echo "$as_me:1039: result: $ac_cv_build" >&5
     1038echo "$as_me:1038: result: $ac_cv_build" >&5
    10401039echo "${ECHO_T}$ac_cv_build" >&6
    10411040build=$ac_cv_build
     
    10441043build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
    10451044
    1046 echo "$as_me:1046: checking host system type" >&5
     1045echo "$as_me:1045: checking host system type" >&5
    10471046echo $ECHO_N "checking host system type... $ECHO_C" >&6
    10481047if test "${ac_cv_host+set}" = set; then
     
    10531052  ac_cv_host_alias=$ac_cv_build_alias
    10541053ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
    1055   { { echo "$as_me:1055: error: $ac_config_sub $ac_cv_host_alias failed" >&5
     1054  { { echo "$as_me:1054: error: $ac_config_sub $ac_cv_host_alias failed" >&5
    10561055echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
    10571056   { (exit 1); exit 1; }; }
    10581057
    10591058fi
    1060 echo "$as_me:1060: result: $ac_cv_host" >&5
     1059echo "$as_me:1059: result: $ac_cv_host" >&5
    10611060echo "${ECHO_T}$ac_cv_host" >&6
    10621061host=$ac_cv_host
     
    10651064host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
    10661065
    1067 echo "$as_me:1067: checking target system type" >&5
     1066echo "$as_me:1066: checking target system type" >&5
    10681067echo $ECHO_N "checking target system type... $ECHO_C" >&6
    10691068if test "${ac_cv_target+set}" = set; then
     
    10741073  ac_cv_target_alias=$ac_cv_host_alias
    10751074ac_cv_target=`$ac_config_sub $ac_cv_target_alias` ||
    1076   { { echo "$as_me:1076: error: $ac_config_sub $ac_cv_target_alias failed" >&5
     1075  { { echo "$as_me:1075: error: $ac_config_sub $ac_cv_target_alias failed" >&5
    10771076echo "$as_me: error: $ac_config_sub $ac_cv_target_alias failed" >&2;}
    10781077   { (exit 1); exit 1; }; }
    10791078
    10801079fi
    1081 echo "$as_me:1081: result: $ac_cv_target" >&5
     1080echo "$as_me:1080: result: $ac_cv_target" >&5
    10821081echo "${ECHO_T}$ac_cv_target" >&6
    10831082target=$ac_cv_target
     
    11021101  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
    11031102set dummy ${ac_tool_prefix}gcc; ac_word=$2
    1104 echo "$as_me:1104: checking for $ac_word" >&5
     1103echo "$as_me:1103: checking for $ac_word" >&5
    11051104echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    11061105if test "${ac_cv_prog_CC+set}" = set; then
     
    11171116  $as_executable_p "$ac_dir/$ac_word" || continue
    11181117ac_cv_prog_CC="${ac_tool_prefix}gcc"
    1119 echo "$as_me:1119: found $ac_dir/$ac_word" >&5
     1118echo "$as_me:1118: found $ac_dir/$ac_word" >&5
    11201119break
    11211120done
     
    11251124CC=$ac_cv_prog_CC
    11261125if test -n "$CC"; then
    1127   echo "$as_me:1127: result: $CC" >&5
     1126  echo "$as_me:1126: result: $CC" >&5
    11281127echo "${ECHO_T}$CC" >&6
    11291128else
    1130   echo "$as_me:1130: result: no" >&5
     1129  echo "$as_me:1129: result: no" >&5
    11311130echo "${ECHO_T}no" >&6
    11321131fi
     
    11371136  # Extract the first word of "gcc", so it can be a program name with args.
    11381137set dummy gcc; ac_word=$2
    1139 echo "$as_me:1139: checking for $ac_word" >&5
     1138echo "$as_me:1138: checking for $ac_word" >&5
    11401139echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    11411140if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
     
    11521151  $as_executable_p "$ac_dir/$ac_word" || continue
    11531152ac_cv_prog_ac_ct_CC="gcc"
    1154 echo "$as_me:1154: found $ac_dir/$ac_word" >&5
     1153echo "$as_me:1153: found $ac_dir/$ac_word" >&5
    11551154break
    11561155done
     
    11601159ac_ct_CC=$ac_cv_prog_ac_ct_CC
    11611160if test -n "$ac_ct_CC"; then
    1162   echo "$as_me:1162: result: $ac_ct_CC" >&5
     1161  echo "$as_me:1161: result: $ac_ct_CC" >&5
    11631162echo "${ECHO_T}$ac_ct_CC" >&6
    11641163else
    1165   echo "$as_me:1165: result: no" >&5
     1164  echo "$as_me:1164: result: no" >&5
    11661165echo "${ECHO_T}no" >&6
    11671166fi
     
    11761175  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
    11771176set dummy ${ac_tool_prefix}cc; ac_word=$2
    1178 echo "$as_me:1178: checking for $ac_word" >&5
     1177echo "$as_me:1177: checking for $ac_word" >&5
    11791178echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    11801179if test "${ac_cv_prog_CC+set}" = set; then
     
    11911190  $as_executable_p "$ac_dir/$ac_word" || continue
    11921191ac_cv_prog_CC="${ac_tool_prefix}cc"
    1193 echo "$as_me:1193: found $ac_dir/$ac_word" >&5
     1192echo "$as_me:1192: found $ac_dir/$ac_word" >&5
    11941193break
    11951194done
     
    11991198CC=$ac_cv_prog_CC
    12001199if test -n "$CC"; then
    1201   echo "$as_me:1201: result: $CC" >&5
     1200  echo "$as_me:1200: result: $CC" >&5
    12021201echo "${ECHO_T}$CC" >&6
    12031202else
    1204   echo "$as_me:1204: result: no" >&5
     1203  echo "$as_me:1203: result: no" >&5
    12051204echo "${ECHO_T}no" >&6
    12061205fi
     
    12111210  # Extract the first word of "cc", so it can be a program name with args.
    12121211set dummy cc; ac_word=$2
    1213 echo "$as_me:1213: checking for $ac_word" >&5
     1212echo "$as_me:1212: checking for $ac_word" >&5
    12141213echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    12151214if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
     
    12261225  $as_executable_p "$ac_dir/$ac_word" || continue
    12271226ac_cv_prog_ac_ct_CC="cc"
    1228 echo "$as_me:1228: found $ac_dir/$ac_word" >&5
     1227echo "$as_me:1227: found $ac_dir/$ac_word" >&5
    12291228break
    12301229done
     
    12341233ac_ct_CC=$ac_cv_prog_ac_ct_CC
    12351234if test -n "$ac_ct_CC"; then
    1236   echo "$as_me:1236: result: $ac_ct_CC" >&5
     1235  echo "$as_me:1235: result: $ac_ct_CC" >&5
    12371236echo "${ECHO_T}$ac_ct_CC" >&6
    12381237else
    1239   echo "$as_me:1239: result: no" >&5
     1238  echo "$as_me:1238: result: no" >&5
    12401239echo "${ECHO_T}no" >&6
    12411240fi
     
    12501249  # Extract the first word of "cc", so it can be a program name with args.
    12511250set dummy cc; ac_word=$2
    1252 echo "$as_me:1252: checking for $ac_word" >&5
     1251echo "$as_me:1251: checking for $ac_word" >&5
    12531252echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    12541253if test "${ac_cv_prog_CC+set}" = set; then
     
    12701269fi
    12711270ac_cv_prog_CC="cc"
    1272 echo "$as_me:1272: found $ac_dir/$ac_word" >&5
     1271echo "$as_me:1271: found $ac_dir/$ac_word" >&5
    12731272break
    12741273done
     
    12921291CC=$ac_cv_prog_CC
    12931292if test -n "$CC"; then
    1294   echo "$as_me:1294: result: $CC" >&5
     1293  echo "$as_me:1293: result: $CC" >&5
    12951294echo "${ECHO_T}$CC" >&6
    12961295else
    1297   echo "$as_me:1297: result: no" >&5
     1296  echo "$as_me:1296: result: no" >&5
    12981297echo "${ECHO_T}no" >&6
    12991298fi
     
    13061305    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
    13071306set dummy $ac_tool_prefix$ac_prog; ac_word=$2
    1308 echo "$as_me:1308: checking for $ac_word" >&5
     1307echo "$as_me:1307: checking for $ac_word" >&5
    13091308echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    13101309if test "${ac_cv_prog_CC+set}" = set; then
     
    13211320  $as_executable_p "$ac_dir/$ac_word" || continue
    13221321ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    1323 echo "$as_me:1323: found $ac_dir/$ac_word" >&5
     1322echo "$as_me:1322: found $ac_dir/$ac_word" >&5
    13241323break
    13251324done
     
    13291328CC=$ac_cv_prog_CC
    13301329if test -n "$CC"; then
    1331   echo "$as_me:1331: result: $CC" >&5
     1330  echo "$as_me:1330: result: $CC" >&5
    13321331echo "${ECHO_T}$CC" >&6
    13331332else
    1334   echo "$as_me:1334: result: no" >&5
     1333  echo "$as_me:1333: result: no" >&5
    13351334echo "${ECHO_T}no" >&6
    13361335fi
     
    13451344  # Extract the first word of "$ac_prog", so it can be a program name with args.
    13461345set dummy $ac_prog; ac_word=$2
    1347 echo "$as_me:1347: checking for $ac_word" >&5
     1346echo "$as_me:1346: checking for $ac_word" >&5
    13481347echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    13491348if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
     
    13601359  $as_executable_p "$ac_dir/$ac_word" || continue
    13611360ac_cv_prog_ac_ct_CC="$ac_prog"
    1362 echo "$as_me:1362: found $ac_dir/$ac_word" >&5
     1361echo "$as_me:1361: found $ac_dir/$ac_word" >&5
    13631362break
    13641363done
     
    13681367ac_ct_CC=$ac_cv_prog_ac_ct_CC
    13691368if test -n "$ac_ct_CC"; then
    1370   echo "$as_me:1370: result: $ac_ct_CC" >&5
     1369  echo "$as_me:1369: result: $ac_ct_CC" >&5
    13711370echo "${ECHO_T}$ac_ct_CC" >&6
    13721371else
    1373   echo "$as_me:1373: result: no" >&5
     1372  echo "$as_me:1372: result: no" >&5
    13741373echo "${ECHO_T}no" >&6
    13751374fi
     
    13831382fi
    13841383
    1385 test -z "$CC" && { { echo "$as_me:1385: error: no acceptable cc found in \$PATH" >&5
     1384test -z "$CC" && { { echo "$as_me:1384: error: no acceptable cc found in \$PATH" >&5
    13861385echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
    13871386   { (exit 1); exit 1; }; }
    13881387
    13891388# Provide some information about the compiler.
    1390 echo "$as_me:1390:" \
     1389echo "$as_me:1389:" \
    13911390     "checking for C compiler version" >&5
    13921391ac_compiler=`set X $ac_compile; echo $2`
    1393 { (eval echo "$as_me:1393: \"$ac_compiler --version </dev/null >&5\"") >&5
     1392{ (eval echo "$as_me:1392: \"$ac_compiler --version </dev/null >&5\"") >&5
    13941393  (eval $ac_compiler --version </dev/null >&5) 2>&5
    13951394  ac_status=$?
    1396   echo "$as_me:1396: \$? = $ac_status" >&5
     1395  echo "$as_me:1395: \$? = $ac_status" >&5
    13971396  (exit $ac_status); }
    1398 { (eval echo "$as_me:1398: \"$ac_compiler -v </dev/null >&5\"") >&5
     1397{ (eval echo "$as_me:1397: \"$ac_compiler -v </dev/null >&5\"") >&5
    13991398  (eval $ac_compiler -v </dev/null >&5) 2>&5
    14001399  ac_status=$?
    1401   echo "$as_me:1401: \$? = $ac_status" >&5
     1400  echo "$as_me:1400: \$? = $ac_status" >&5
    14021401  (exit $ac_status); }
    1403 { (eval echo "$as_me:1403: \"$ac_compiler -V </dev/null >&5\"") >&5
     1402{ (eval echo "$as_me:1402: \"$ac_compiler -V </dev/null >&5\"") >&5
    14041403  (eval $ac_compiler -V </dev/null >&5) 2>&5
    14051404  ac_status=$?
    1406   echo "$as_me:1406: \$? = $ac_status" >&5
     1405  echo "$as_me:1405: \$? = $ac_status" >&5
    14071406  (exit $ac_status); }
    14081407
    14091408cat >conftest.$ac_ext <<_ACEOF
    1410 #line 1410 "configure"
     1409#line 1409 "configure"
    14111410#include "confdefs.h"
    14121411
     
    14241423# It will help us diagnose broken compilers, and finding out an intuition
    14251424# of exeext.
    1426 echo "$as_me:1426: checking for C compiler default output" >&5
     1425echo "$as_me:1425: checking for C compiler default output" >&5
    14271426echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
    14281427ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
    1429 if { (eval echo "$as_me:1429: \"$ac_link_default\"") >&5
     1428if { (eval echo "$as_me:1428: \"$ac_link_default\"") >&5
    14301429  (eval $ac_link_default) 2>&5
    14311430  ac_status=$?
    1432   echo "$as_me:1432: \$? = $ac_status" >&5
     1431  echo "$as_me:1431: \$? = $ac_status" >&5
    14331432  (exit $ac_status); }; then
    14341433  # Find the output, starting from the most likely.  This scheme is
     
    14531452  echo "$as_me: failed program was:" >&5
    14541453cat conftest.$ac_ext >&5
    1455 { { echo "$as_me:1455: error: C compiler cannot create executables" >&5
     1454{ { echo "$as_me:1454: error: C compiler cannot create executables" >&5
    14561455echo "$as_me: error: C compiler cannot create executables" >&2;}
    14571456   { (exit 77); exit 77; }; }
     
    14591458
    14601459ac_exeext=$ac_cv_exeext
    1461 echo "$as_me:1461: result: $ac_file" >&5
     1460echo "$as_me:1460: result: $ac_file" >&5
    14621461echo "${ECHO_T}$ac_file" >&6
    14631462
    14641463# Check the compiler produces executables we can run.  If not, either
    14651464# the compiler is broken, or we cross compile.
    1466 echo "$as_me:1466: checking whether the C compiler works" >&5
     1465echo "$as_me:1465: checking whether the C compiler works" >&5
    14671466echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
    14681467# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
     
    14701469if test "$cross_compiling" != yes; then
    14711470  if { ac_try='./$ac_file'
    1472   { (eval echo "$as_me:1472: \"$ac_try\"") >&5
     1471  { (eval echo "$as_me:1471: \"$ac_try\"") >&5
    14731472  (eval $ac_try) 2>&5
    14741473  ac_status=$?
    1475   echo "$as_me:1475: \$? = $ac_status" >&5
     1474  echo "$as_me:1474: \$? = $ac_status" >&5
    14761475  (exit $ac_status); }; }; then
    14771476    cross_compiling=no
     
    14801479        cross_compiling=yes
    14811480    else
    1482         { { echo "$as_me:1482: error: cannot run C compiled programs.
     1481        { { echo "$as_me:1481: error: cannot run C compiled programs.
    14831482If you meant to cross compile, use \`--host'." >&5
    14841483echo "$as_me: error: cannot run C compiled programs.
     
    14881487  fi
    14891488fi
    1490 echo "$as_me:1490: result: yes" >&5
     1489echo "$as_me:1489: result: yes" >&5
    14911490echo "${ECHO_T}yes" >&6
    14921491
     
    14951494# Check the compiler produces executables we can run.  If not, either
    14961495# the compiler is broken, or we cross compile.
    1497 echo "$as_me:1497: checking whether we are cross compiling" >&5
     1496echo "$as_me:1496: checking whether we are cross compiling" >&5
    14981497echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
    1499 echo "$as_me:1499: result: $cross_compiling" >&5
     1498echo "$as_me:1498: result: $cross_compiling" >&5
    15001499echo "${ECHO_T}$cross_compiling" >&6
    15011500
    1502 echo "$as_me:1502: checking for executable suffix" >&5
     1501echo "$as_me:1501: checking for executable suffix" >&5
    15031502echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
    1504 if { (eval echo "$as_me:1504: \"$ac_link\"") >&5
     1503if { (eval echo "$as_me:1503: \"$ac_link\"") >&5
    15051504  (eval $ac_link) 2>&5
    15061505  ac_status=$?
    1507   echo "$as_me:1507: \$? = $ac_status" >&5
     1506  echo "$as_me:1506: \$? = $ac_status" >&5
    15081507  (exit $ac_status); }; then
    15091508  # If both `conftest.exe' and `conftest' are `present' (well, observable)
     
    15211520done
    15221521else
    1523   { { echo "$as_me:1523: error: cannot compute EXEEXT: cannot compile and link" >&5
     1522  { { echo "$as_me:1522: error: cannot compute EXEEXT: cannot compile and link" >&5
    15241523echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
    15251524   { (exit 1); exit 1; }; }
     
    15271526
    15281527rm -f conftest$ac_cv_exeext
    1529 echo "$as_me:1529: result: $ac_cv_exeext" >&5
     1528echo "$as_me:1528: result: $ac_cv_exeext" >&5
    15301529echo "${ECHO_T}$ac_cv_exeext" >&6
    15311530
     
    15331532EXEEXT=$ac_cv_exeext
    15341533ac_exeext=$EXEEXT
    1535 echo "$as_me:1535: checking for object suffix" >&5
     1534echo "$as_me:1534: checking for object suffix" >&5
    15361535echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
    15371536if test "${ac_cv_objext+set}" = set; then
     
    15391538else
    15401539  cat >conftest.$ac_ext <<_ACEOF
    1541 #line 1541 "configure"
     1540#line 1540 "configure"
    15421541#include "confdefs.h"
    15431542
     
    15511550_ACEOF
    15521551rm -f conftest.o conftest.obj
    1553 if { (eval echo "$as_me:1553: \"$ac_compile\"") >&5
     1552if { (eval echo "$as_me:1552: \"$ac_compile\"") >&5
    15541553  (eval $ac_compile) 2>&5
    15551554  ac_status=$?
    1556   echo "$as_me:1556: \$? = $ac_status" >&5
     1555  echo "$as_me:1555: \$? = $ac_status" >&5
    15571556  (exit $ac_status); }; then
    15581557  for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
     
    15661565  echo "$as_me: failed program was:" >&5
    15671566cat conftest.$ac_ext >&5
    1568 { { echo "$as_me:1568: error: cannot compute OBJEXT: cannot compile" >&5
     1567{ { echo "$as_me:1567: error: cannot compute OBJEXT: cannot compile" >&5
    15691568echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
    15701569   { (exit 1); exit 1; }; }
     
    15731572rm -f conftest.$ac_cv_objext conftest.$ac_ext
    15741573fi
    1575 echo "$as_me:1575: result: $ac_cv_objext" >&5
     1574echo "$as_me:1574: result: $ac_cv_objext" >&5
    15761575echo "${ECHO_T}$ac_cv_objext" >&6
    15771576OBJEXT=$ac_cv_objext
    15781577ac_objext=$OBJEXT
    1579 echo "$as_me:1579: checking whether we are using the GNU C compiler" >&5
     1578echo "$as_me:1578: checking whether we are using the GNU C compiler" >&5
    15801579echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
    15811580if test "${ac_cv_c_compiler_gnu+set}" = set; then
     
    15831582else
    15841583  cat >conftest.$ac_ext <<_ACEOF
    1585 #line 1585 "configure"
     1584#line 1584 "configure"
    15861585#include "confdefs.h"
    15871586
     
    15981597_ACEOF
    15991598rm -f conftest.$ac_objext
    1600 if { (eval echo "$as_me:1600: \"$ac_compile\"") >&5
     1599if { (eval echo "$as_me:1599: \"$ac_compile\"") >&5
    16011600  (eval $ac_compile) 2>&5
    16021601  ac_status=$?
    1603   echo "$as_me:1603: \$? = $ac_status" >&5
     1602  echo "$as_me:1602: \$? = $ac_status" >&5
    16041603  (exit $ac_status); } &&
    16051604         { ac_try='test -s conftest.$ac_objext'
    1606   { (eval echo "$as_me:1606: \"$ac_try\"") >&5
     1605  { (eval echo "$as_me:1605: \"$ac_try\"") >&5
    16071606  (eval $ac_try) 2>&5
    16081607  ac_status=$?
    1609   echo "$as_me:1609: \$? = $ac_status" >&5
     1608  echo "$as_me:1608: \$? = $ac_status" >&5
    16101609  (exit $ac_status); }; }; then
    16111610  ac_compiler_gnu=yes
     
    16191618
    16201619fi
    1621 echo "$as_me:1621: result: $ac_cv_c_compiler_gnu" >&5
     1620echo "$as_me:1620: result: $ac_cv_c_compiler_gnu" >&5
    16221621echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
    16231622GCC=`test $ac_compiler_gnu = yes && echo yes`
     
    16251624ac_save_CFLAGS=$CFLAGS
    16261625CFLAGS="-g"
    1627 echo "$as_me:1627: checking whether $CC accepts -g" >&5
     1626echo "$as_me:1626: checking whether $CC accepts -g" >&5
    16281627echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
    16291628if test "${ac_cv_prog_cc_g+set}" = set; then
     
    16311630else
    16321631  cat >conftest.$ac_ext <<_ACEOF
    1633 #line 1633 "configure"
     1632#line 1632 "configure"
    16341633#include "confdefs.h"
    16351634
     
    16431642_ACEOF
    16441643rm -f conftest.$ac_objext
    1645 if { (eval echo "$as_me:1645: \"$ac_compile\"") >&5
     1644if { (eval echo "$as_me:1644: \"$ac_compile\"") >&5
    16461645  (eval $ac_compile) 2>&5
    16471646  ac_status=$?
    1648   echo "$as_me:1648: \$? = $ac_status" >&5
     1647  echo "$as_me:1647: \$? = $ac_status" >&5
    16491648  (exit $ac_status); } &&
    16501649         { ac_try='test -s conftest.$ac_objext'
    1651   { (eval echo "$as_me:1651: \"$ac_try\"") >&5
     1650  { (eval echo "$as_me:1650: \"$ac_try\"") >&5
    16521651  (eval $ac_try) 2>&5
    16531652  ac_status=$?
    1654   echo "$as_me:1654: \$? = $ac_status" >&5
     1653  echo "$as_me:1653: \$? = $ac_status" >&5
    16551654  (exit $ac_status); }; }; then
    16561655  ac_cv_prog_cc_g=yes
     
    16621661rm -f conftest.$ac_objext conftest.$ac_ext
    16631662fi
    1664 echo "$as_me:1664: result: $ac_cv_prog_cc_g" >&5
     1663echo "$as_me:1663: result: $ac_cv_prog_cc_g" >&5
    16651664echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
    16661665if test "$ac_test_CFLAGS" = set; then
     
    16891688_ACEOF
    16901689rm -f conftest.$ac_objext
    1691 if { (eval echo "$as_me:1691: \"$ac_compile\"") >&5
     1690if { (eval echo "$as_me:1690: \"$ac_compile\"") >&5
    16921691  (eval $ac_compile) 2>&5
    16931692  ac_status=$?
    1694   echo "$as_me:1694: \$? = $ac_status" >&5
     1693  echo "$as_me:1693: \$? = $ac_status" >&5
    16951694  (exit $ac_status); } &&
    16961695         { ac_try='test -s conftest.$ac_objext'
    1697   { (eval echo "$as_me:1697: \"$ac_try\"") >&5
     1696  { (eval echo "$as_me:1696: \"$ac_try\"") >&5
    16981697  (eval $ac_try) 2>&5
    16991698  ac_status=$?
    1700   echo "$as_me:1700: \$? = $ac_status" >&5
     1699  echo "$as_me:1699: \$? = $ac_status" >&5
    17011700  (exit $ac_status); }; }; then
    17021701  for ac_declaration in \
     
    17101709do
    17111710  cat >conftest.$ac_ext <<_ACEOF
    1712 #line 1712 "configure"
     1711#line 1711 "configure"
    17131712#include "confdefs.h"
    17141713#include <stdlib.h>
     
    17231722_ACEOF
    17241723rm -f conftest.$ac_objext
    1725 if { (eval echo "$as_me:1725: \"$ac_compile\"") >&5
     1724if { (eval echo "$as_me:1724: \"$ac_compile\"") >&5
    17261725  (eval $ac_compile) 2>&5
    17271726  ac_status=$?
    1728   echo "$as_me:1728: \$? = $ac_status" >&5
     1727  echo "$as_me:1727: \$? = $ac_status" >&5
    17291728  (exit $ac_status); } &&
    17301729         { ac_try='test -s conftest.$ac_objext'
    1731   { (eval echo "$as_me:1731: \"$ac_try\"") >&5
     1730  { (eval echo "$as_me:1730: \"$ac_try\"") >&5
    17321731  (eval $ac_try) 2>&5
    17331732  ac_status=$?
    1734   echo "$as_me:1734: \$? = $ac_status" >&5
     1733  echo "$as_me:1733: \$? = $ac_status" >&5
    17351734  (exit $ac_status); }; }; then
    17361735  :
     
    17421741rm -f conftest.$ac_objext conftest.$ac_ext
    17431742  cat >conftest.$ac_ext <<_ACEOF
    1744 #line 1744 "configure"
     1743#line 1743 "configure"
    17451744#include "confdefs.h"
    17461745$ac_declaration
     
    17541753_ACEOF
    17551754rm -f conftest.$ac_objext
    1756 if { (eval echo "$as_me:1756: \"$ac_compile\"") >&5
     1755if { (eval echo "$as_me:1755: \"$ac_compile\"") >&5
    17571756  (eval $ac_compile) 2>&5
    17581757  ac_status=$?
    1759   echo "$as_me:1759: \$? = $ac_status" >&5
     1758  echo "$as_me:1758: \$? = $ac_status" >&5
    17601759  (exit $ac_status); } &&
    17611760         { ac_try='test -s conftest.$ac_objext'
    1762   { (eval echo "$as_me:1762: \"$ac_try\"") >&5
     1761  { (eval echo "$as_me:1761: \"$ac_try\"") >&5
    17631762  (eval $ac_try) 2>&5
    17641763  ac_status=$?
    1765   echo "$as_me:1765: \$? = $ac_status" >&5
     1764  echo "$as_me:1764: \$? = $ac_status" >&5
    17661765  (exit $ac_status); }; }; then
    17671766  break
     
    18021801# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
    18031802# ./install, which can be erroneously created by make from ./install.sh.
    1804 echo "$as_me:1804: checking for a BSD compatible install" >&5
     1803echo "$as_me:1803: checking for a BSD compatible install" >&5
    18051804echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
    18061805if test -z "$INSTALL"; then
     
    18511850  fi
    18521851fi
    1853 echo "$as_me:1853: result: $INSTALL" >&5
     1852echo "$as_me:1852: result: $INSTALL" >&5
    18541853echo "${ECHO_T}$INSTALL" >&6
    18551854
     
    18621861test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
    18631862
    1864 echo "$as_me:1864: checking whether ${MAKE-make} sets \${MAKE}" >&5
     1863echo "$as_me:1863: checking whether ${MAKE-make} sets \${MAKE}" >&5
    18651864echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
    18661865set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
     
    18821881fi
    18831882if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
    1884   echo "$as_me:1884: result: yes" >&5
     1883  echo "$as_me:1883: result: yes" >&5
    18851884echo "${ECHO_T}yes" >&6
    18861885  SET_MAKE=
    18871886else
    1888   echo "$as_me:1888: result: no" >&5
     1887  echo "$as_me:1887: result: no" >&5
    18891888echo "${ECHO_T}no" >&6
    18901889  SET_MAKE="MAKE=${MAKE-make}"
     
    18931892        # Extract the first word of "mtree", so it can be a program name with args.
    18941893set dummy mtree; ac_word=$2
    1895 echo "$as_me:1895: checking for $ac_word" >&5
     1894echo "$as_me:1894: checking for $ac_word" >&5
    18961895echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    18971896if test "${ac_cv_path_MTREE+set}" = set; then
     
    19101909  if $as_executable_p "$ac_dir/$ac_word"; then
    19111910   ac_cv_path_MTREE="$ac_dir/$ac_word"
    1912    echo "$as_me:1912: found $ac_dir/$ac_word" >&5
     1911   echo "$as_me:1911: found $ac_dir/$ac_word" >&5
    19131912   break
    19141913fi
     
    19211920
    19221921if test -n "$MTREE"; then
    1923   echo "$as_me:1923: result: $MTREE" >&5
     1922  echo "$as_me:1922: result: $MTREE" >&5
    19241923echo "${ECHO_T}$MTREE" >&6
    19251924else
    1926   echo "$as_me:1926: result: no" >&5
     1925  echo "$as_me:1925: result: no" >&5
    19271926echo "${ECHO_T}no" >&6
    19281927fi
     
    19441943ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    19451944ac_compiler_gnu=$ac_cv_c_compiler_gnu
    1946 echo "$as_me:1946: checking how to run the C preprocessor" >&5
     1945echo "$as_me:1945: checking how to run the C preprocessor" >&5
    19471946echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
    19481947# On Suns, sometimes $CPP names a directory.
     
    19651964  # not just through cpp. "Syntax error" is here to catch this case.
    19661965  cat >conftest.$ac_ext <<_ACEOF
    1967 #line 1967 "configure"
     1966#line 1966 "configure"
    19681967#include "confdefs.h"
    19691968#include <assert.h>
    19701969                     Syntax error
    19711970_ACEOF
    1972 if { (eval echo "$as_me:1972: \"$ac_cpp conftest.$ac_ext\"") >&5
     1971if { (eval echo "$as_me:1971: \"$ac_cpp conftest.$ac_ext\"") >&5
    19731972  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    19741973  ac_status=$?
     
    19761975  rm -f conftest.er1
    19771976  cat conftest.err >&5
    1978   echo "$as_me:1978: \$? = $ac_status" >&5
     1977  echo "$as_me:1977: \$? = $ac_status" >&5
    19791978  (exit $ac_status); } >/dev/null; then
    19801979  if test -s conftest.err; then
     
    19991998  # can be detected and how.
    20001999  cat >conftest.$ac_ext <<_ACEOF
    2001 #line 2001 "configure"
     2000#line 2000 "configure"
    20022001#include "confdefs.h"
    20032002#include <ac_nonexistent.h>
    20042003_ACEOF
    2005 if { (eval echo "$as_me:2005: \"$ac_cpp conftest.$ac_ext\"") >&5
     2004if { (eval echo "$as_me:2004: \"$ac_cpp conftest.$ac_ext\"") >&5
    20062005  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    20072006  ac_status=$?
     
    20092008  rm -f conftest.er1
    20102009  cat conftest.err >&5
    2011   echo "$as_me:2011: \$? = $ac_status" >&5
     2010  echo "$as_me:2010: \$? = $ac_status" >&5
    20122011  (exit $ac_status); } >/dev/null; then
    20132012  if test -s conftest.err; then
     
    20462045  ac_cv_prog_CPP=$CPP
    20472046fi
    2048 echo "$as_me:2048: result: $CPP" >&5
     2047echo "$as_me:2047: result: $CPP" >&5
    20492048echo "${ECHO_T}$CPP" >&6
    20502049ac_preproc_ok=false
     
    20562055  # not just through cpp. "Syntax error" is here to catch this case.
    20572056  cat >conftest.$ac_ext <<_ACEOF
    2058 #line 2058 "configure"
     2057#line 2057 "configure"
    20592058#include "confdefs.h"
    20602059#include <assert.h>
    20612060                     Syntax error
    20622061_ACEOF
    2063 if { (eval echo "$as_me:2063: \"$ac_cpp conftest.$ac_ext\"") >&5
     2062if { (eval echo "$as_me:2062: \"$ac_cpp conftest.$ac_ext\"") >&5
    20642063  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    20652064  ac_status=$?
     
    20672066  rm -f conftest.er1
    20682067  cat conftest.err >&5
    2069   echo "$as_me:2069: \$? = $ac_status" >&5
     2068  echo "$as_me:2068: \$? = $ac_status" >&5
    20702069  (exit $ac_status); } >/dev/null; then
    20712070  if test -s conftest.err; then
     
    20902089  # can be detected and how.
    20912090  cat >conftest.$ac_ext <<_ACEOF
    2092 #line 2092 "configure"
     2091#line 2091 "configure"
    20932092#include "confdefs.h"
    20942093#include <ac_nonexistent.h>
    20952094_ACEOF
    2096 if { (eval echo "$as_me:2096: \"$ac_cpp conftest.$ac_ext\"") >&5
     2095if { (eval echo "$as_me:2095: \"$ac_cpp conftest.$ac_ext\"") >&5
    20972096  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    20982097  ac_status=$?
     
    21002099  rm -f conftest.er1
    21012100  cat conftest.err >&5
    2102   echo "$as_me:2102: \$? = $ac_status" >&5
     2101  echo "$as_me:2101: \$? = $ac_status" >&5
    21032102  (exit $ac_status); } >/dev/null; then
    21042103  if test -s conftest.err; then
     
    21282127  :
    21292128else
    2130   { { echo "$as_me:2130: error: C preprocessor \"$CPP\" fails sanity check" >&5
     2129  { { echo "$as_me:2129: error: C preprocessor \"$CPP\" fails sanity check" >&5
    21312130echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
    21322131   { (exit 1); exit 1; }; }
     
    21402139
    21412140        # Check for libmd, which is prefered
    2142         echo "$as_me:2142: checking for MD5Update in -lmd" >&5
     2141        echo "$as_me:2141: checking for MD5Update in -lmd" >&5
    21432142echo $ECHO_N "checking for MD5Update in -lmd... $ECHO_C" >&6
    21442143if test "${ac_cv_lib_md_MD5Update+set}" = set; then
     
    21482147LIBS="-lmd  $LIBS"
    21492148cat >conftest.$ac_ext <<_ACEOF
    2150 #line 2150 "configure"
     2149#line 2149 "configure"
    21512150#include "confdefs.h"
    21522151
     
    21672166_ACEOF
    21682167rm -f conftest.$ac_objext conftest$ac_exeext
    2169 if { (eval echo "$as_me:2169: \"$ac_link\"") >&5
     2168if { (eval echo "$as_me:2168: \"$ac_link\"") >&5
    21702169  (eval $ac_link) 2>&5
    21712170  ac_status=$?
    2172   echo "$as_me:2172: \$? = $ac_status" >&5
     2171  echo "$as_me:2171: \$? = $ac_status" >&5
    21732172  (exit $ac_status); } &&
    21742173         { ac_try='test -s conftest$ac_exeext'
    2175   { (eval echo "$as_me:2175: \"$ac_try\"") >&5
     2174  { (eval echo "$as_me:2174: \"$ac_try\"") >&5
    21762175  (eval $ac_try) 2>&5
    21772176  ac_status=$?
    2178   echo "$as_me:2178: \$? = $ac_status" >&5
     2177  echo "$as_me:2177: \$? = $ac_status" >&5
    21792178  (exit $ac_status); }; }; then
    21802179  ac_cv_lib_md_MD5Update=yes
     
    21872186LIBS=$ac_check_lib_save_LIBS
    21882187fi
    2189 echo "$as_me:2189: result: $ac_cv_lib_md_MD5Update" >&5
     2188echo "$as_me:2188: result: $ac_cv_lib_md_MD5Update" >&5
    21902189echo "${ECHO_T}$ac_cv_lib_md_MD5Update" >&6
    21912190if test $ac_cv_lib_md_MD5Update = yes; then
     
    21942193do
    21952194as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    2196 echo "$as_me:2196: checking for $ac_header" >&5
     2195echo "$as_me:2195: checking for $ac_header" >&5
    21972196echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    21982197if eval "test \"\${$as_ac_Header+set}\" = set"; then
     
    22002199else
    22012200  cat >conftest.$ac_ext <<_ACEOF
    2202 #line 2202 "configure"
     2201#line 2201 "configure"
    22032202#include "confdefs.h"
    22042203#include <$ac_header>
    22052204_ACEOF
    2206 if { (eval echo "$as_me:2206: \"$ac_cpp conftest.$ac_ext\"") >&5
     2205if { (eval echo "$as_me:2205: \"$ac_cpp conftest.$ac_ext\"") >&5
    22072206  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    22082207  ac_status=$?
     
    22102209  rm -f conftest.er1
    22112210  cat conftest.err >&5
    2212   echo "$as_me:2212: \$? = $ac_status" >&5
     2211  echo "$as_me:2211: \$? = $ac_status" >&5
    22132212  (exit $ac_status); } >/dev/null; then
    22142213  if test -s conftest.err; then
     
    22292228rm -f conftest.err conftest.$ac_ext
    22302229fi
    2231 echo "$as_me:2231: result: `eval echo '${'$as_ac_Header'}'`" >&5
     2230echo "$as_me:2230: result: `eval echo '${'$as_ac_Header'}'`" >&5
    22322231echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    22332232if test `eval echo '${'$as_ac_Header'}'` = yes; then
     
    22382237else
    22392238
    2240                         { { echo "$as_me:2240: error: libmd was found, but md5.h is missing." >&5
     2239                        { { echo "$as_me:2239: error: libmd was found, but md5.h is missing." >&5
    22412240echo "$as_me: error: libmd was found, but md5.h is missing." >&2;}
    22422241   { (exit 1); exit 1; }; }
     
    22542253        if test "x$MD5_LIBS" = "x" ; then
    22552254                # If libmd is not found, check for libcrypto from OpenSSL
    2256                 echo "$as_me:2256: checking for MD5_Update in -lcrypto" >&5
     2255                echo "$as_me:2255: checking for MD5_Update in -lcrypto" >&5
    22572256echo $ECHO_N "checking for MD5_Update in -lcrypto... $ECHO_C" >&6
    22582257if test "${ac_cv_lib_crypto_MD5_Update+set}" = set; then
     
    22622261LIBS="-lcrypto  $LIBS"
    22632262cat >conftest.$ac_ext <<_ACEOF
    2264 #line 2264 "configure"
     2263#line 2263 "configure"
    22652264#include "confdefs.h"
    22662265
     
    22812280_ACEOF
    22822281rm -f conftest.$ac_objext conftest$ac_exeext
    2283 if { (eval echo "$as_me:2283: \"$ac_link\"") >&5
     2282if { (eval echo "$as_me:2282: \"$ac_link\"") >&5
    22842283  (eval $ac_link) 2>&5
    22852284  ac_status=$?
    2286   echo "$as_me:2286: \$? = $ac_status" >&5
     2285  echo "$as_me:2285: \$? = $ac_status" >&5
    22872286  (exit $ac_status); } &&
    22882287         { ac_try='test -s conftest$ac_exeext'
    2289   { (eval echo "$as_me:2289: \"$ac_try\"") >&5
     2288  { (eval echo "$as_me:2288: \"$ac_try\"") >&5
    22902289  (eval $ac_try) 2>&5
    22912290  ac_status=$?
    2292   echo "$as_me:2292: \$? = $ac_status" >&5
     2291  echo "$as_me:2291: \$? = $ac_status" >&5
    22932292  (exit $ac_status); }; }; then
    22942293  ac_cv_lib_crypto_MD5_Update=yes
     
    23012300LIBS=$ac_check_lib_save_LIBS
    23022301fi
    2303 echo "$as_me:2303: result: $ac_cv_lib_crypto_MD5_Update" >&5
     2302echo "$as_me:2302: result: $ac_cv_lib_crypto_MD5_Update" >&5
    23042303echo "${ECHO_T}$ac_cv_lib_crypto_MD5_Update" >&6
    23052304if test $ac_cv_lib_crypto_MD5_Update = yes; then
     
    23082307do
    23092308as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    2310 echo "$as_me:2310: checking for $ac_header" >&5
     2309echo "$as_me:2309: checking for $ac_header" >&5
    23112310echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    23122311if eval "test \"\${$as_ac_Header+set}\" = set"; then
     
    23142313else
    23152314  cat >conftest.$ac_ext <<_ACEOF
    2316 #line 2316 "configure"
     2315#line 2315 "configure"
    23172316#include "confdefs.h"
    23182317#include <$ac_header>
    23192318_ACEOF
    2320 if { (eval echo "$as_me:2320: \"$ac_cpp conftest.$ac_ext\"") >&5
     2319if { (eval echo "$as_me:2319: \"$ac_cpp conftest.$ac_ext\"") >&5
    23212320  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    23222321  ac_status=$?
     
    23242323  rm -f conftest.er1
    23252324  cat conftest.err >&5
    2326   echo "$as_me:2326: \$? = $ac_status" >&5
     2325  echo "$as_me:2325: \$? = $ac_status" >&5
    23272326  (exit $ac_status); } >/dev/null; then
    23282327  if test -s conftest.err; then
     
    23432342rm -f conftest.err conftest.$ac_ext
    23442343fi
    2345 echo "$as_me:2345: result: `eval echo '${'$as_ac_Header'}'`" >&5
     2344echo "$as_me:2344: result: `eval echo '${'$as_ac_Header'}'`" >&5
    23462345echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    23472346if test `eval echo '${'$as_ac_Header'}'` = yes; then
     
    23522351else
    23532352
    2354                                 { { echo "$as_me:2354: error: libcrypt was found, but header file openssl/md5.h is missing." >&5
     2353                                { { echo "$as_me:2353: error: libcrypt was found, but header file openssl/md5.h is missing." >&5
    23552354echo "$as_me: error: libcrypt was found, but header file openssl/md5.h is missing." >&2;}
    23562355   { (exit 1); exit 1; }; }
     
    23662365else
    23672366
    2368                         { { echo "$as_me:2368: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&5
     2367                        { { echo "$as_me:2367: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&5
    23692368echo "$as_me: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&2;}
    23702369   { (exit 1); exit 1; }; }
     
    23742373        fi
    23752374        if test "x$MD5_LIBS" = "x"; then
    2376                 { { echo "$as_me:2376: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&5
     2375                { { echo "$as_me:2375: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&5
    23772376echo "$as_me: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&2;}
    23782377   { (exit 1); exit 1; }; }
     
    23812380# Check for paths
    23822381
    2383 # OD_PATH_DPORTSDIR([/usr/dports])  # not implemented yet
    2384 
    2385 # Check whether --with-dports-dir or --without-dports-dir was given.
    2386 if test "${with_dports_dir+set}" = set; then
    2387   withval="$with_dports_dir"
    2388    dportsdir="$withval"
    2389 fi;
    2390 
    2391         echo "$as_me:2391: checking for dports tree" >&5
    2392 echo $ECHO_N "checking for dports tree... $ECHO_C" >&6
    2393 
    2394         if test "x$dportsdir" != "x" ; then
    2395           if test -d "$dportsdir" -a -e "$dportsdir/PortIndex" ; then
    2396                 :
    2397           else
    2398                 { { echo "$as_me:2398: error: $dportsdir not a valid dports tree" >&5
    2399 echo "$as_me: error: $dportsdir not a valid dports tree" >&2;}
    2400    { (exit 1); exit 1; }; }
    2401           fi
    2402         else
    2403                                 if test "x" != "x" ; then
    2404                   if test -d "" -a -e "/PortIndex" ; then
    2405                         dportsdir=
    2406                   fi
    2407                 fi
    2408         fi
    2409 
    2410         if test "x$dportsdir" != "x" ; then
    2411                 echo "$as_me:2411: result: $dportsdir" >&5
    2412 echo "${ECHO_T}$dportsdir" >&6
    2413                 DPORTSDIR="$dportsdir"
    2414 
    2415         else
    2416                 { echo "$as_me:2416: WARNING: No dports tree found" >&5
    2417 echo "$as_me: WARNING: No dports tree found" >&2;}
    2418         fi
    2419 
    2420         echo "$as_me:2420: checking for ports config directory" >&5
     2382        echo "$as_me:2382: checking for ports config directory" >&5
    24212383echo $ECHO_N "checking for ports config directory... $ECHO_C" >&6
    24222384
     
    24272389        fi
    24282390
    2429         echo "$as_me:2429: result: $portconfigdir" >&5
     2391        echo "$as_me:2391: result: $portconfigdir" >&5
    24302392echo "${ECHO_T}$portconfigdir" >&6
    24312393        PORTCONFIGDIR="$portconfigdir"
     
    24392401fi;
    24402402
    2441         echo "$as_me:2441: checking for install user" >&5
     2403        echo "$as_me:2403: checking for install user" >&5
    24422404echo $ECHO_N "checking for install user... $ECHO_C" >&6
    24432405        if test "x$DSTUSR" = "x" ; then
     
    24452407        fi
    24462408
    2447         echo "$as_me:2447: result: $DSTUSR" >&5
     2409        echo "$as_me:2409: result: $DSTUSR" >&5
    24482410echo "${ECHO_T}$DSTUSR" >&6
    24492411
     
    24542416fi;
    24552417
    2456         echo "$as_me:2456: checking for install group" >&5
     2418        echo "$as_me:2418: checking for install group" >&5
    24572419echo $ECHO_N "checking for install group... $ECHO_C" >&6
    24582420        if test "x$DSTGRP" = "x" ; then
     
    24682430        fi
    24692431
    2470         echo "$as_me:2470: result: $DSTGRP" >&5
     2432        echo "$as_me:2432: result: $DSTGRP" >&5
    24712433echo "${ECHO_T}$DSTGRP" >&6
    24722434
    24732435# Check for standard header files.
    2474 echo "$as_me:2474: checking for ANSI C header files" >&5
     2436echo "$as_me:2436: checking for ANSI C header files" >&5
    24752437echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    24762438if test "${ac_cv_header_stdc+set}" = set; then
     
    24782440else
    24792441  cat >conftest.$ac_ext <<_ACEOF
    2480 #line 2480 "configure"
     2442#line 2442 "configure"
    24812443#include "confdefs.h"
    24822444#include <stdlib.h>
     
    24862448
    24872449_ACEOF
    2488 if { (eval echo "$as_me:2488: \"$ac_cpp conftest.$ac_ext\"") >&5
     2450if { (eval echo "$as_me:2450: \"$ac_cpp conftest.$ac_ext\"") >&5
    24892451  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    24902452  ac_status=$?
     
    24922454  rm -f conftest.er1
    24932455  cat conftest.err >&5
    2494   echo "$as_me:2494: \$? = $ac_status" >&5
     2456  echo "$as_me:2456: \$? = $ac_status" >&5
    24952457  (exit $ac_status); } >/dev/null; then
    24962458  if test -s conftest.err; then
     
    25142476  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    25152477  cat >conftest.$ac_ext <<_ACEOF
    2516 #line 2516 "configure"
     2478#line 2478 "configure"
    25172479#include "confdefs.h"
    25182480#include <string.h>
     
    25322494  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    25332495  cat >conftest.$ac_ext <<_ACEOF
    2534 #line 2534 "configure"
     2496#line 2496 "configure"
    25352497#include "confdefs.h"
    25362498#include <stdlib.h>
     
    25532515else
    25542516  cat >conftest.$ac_ext <<_ACEOF
    2555 #line 2555 "configure"
     2517#line 2517 "configure"
    25562518#include "confdefs.h"
    25572519#include <ctype.h>
     
    25792541_ACEOF
    25802542rm -f conftest$ac_exeext
    2581 if { (eval echo "$as_me:2581: \"$ac_link\"") >&5
     2543if { (eval echo "$as_me:2543: \"$ac_link\"") >&5
    25822544  (eval $ac_link) 2>&5
    25832545  ac_status=$?
    2584   echo "$as_me:2584: \$? = $ac_status" >&5
     2546  echo "$as_me:2546: \$? = $ac_status" >&5
    25852547  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    2586   { (eval echo "$as_me:2586: \"$ac_try\"") >&5
     2548  { (eval echo "$as_me:2548: \"$ac_try\"") >&5
    25872549  (eval $ac_try) 2>&5
    25882550  ac_status=$?
    2589   echo "$as_me:2589: \$? = $ac_status" >&5
     2551  echo "$as_me:2551: \$? = $ac_status" >&5
    25902552  (exit $ac_status); }; }; then
    25912553  :
     
    26002562fi
    26012563fi
    2602 echo "$as_me:2602: result: $ac_cv_header_stdc" >&5
     2564echo "$as_me:2564: result: $ac_cv_header_stdc" >&5
    26032565echo "${ECHO_T}$ac_cv_header_stdc" >&6
    26042566if test $ac_cv_header_stdc = yes; then
     
    26132575for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
    26142576  as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
    2615 echo "$as_me:2615: checking for $ac_hdr that defines DIR" >&5
     2577echo "$as_me:2577: checking for $ac_hdr that defines DIR" >&5
    26162578echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6
    26172579if eval "test \"\${$as_ac_Header+set}\" = set"; then
     
    26192581else
    26202582  cat >conftest.$ac_ext <<_ACEOF
    2621 #line 2621 "configure"
     2583#line 2583 "configure"
    26222584#include "confdefs.h"
    26232585#include <sys/types.h>
     
    26342596_ACEOF
    26352597rm -f conftest.$ac_objext
    2636 if { (eval echo "$as_me:2636: \"$ac_compile\"") >&5
     2598if { (eval echo "$as_me:2598: \"$ac_compile\"") >&5
    26372599  (eval $ac_compile) 2>&5
    26382600  ac_status=$?
    2639   echo "$as_me:2639: \$? = $ac_status" >&5
     2601  echo "$as_me:2601: \$? = $ac_status" >&5
    26402602  (exit $ac_status); } &&
    26412603         { ac_try='test -s conftest.$ac_objext'
    2642   { (eval echo "$as_me:2642: \"$ac_try\"") >&5
     2604  { (eval echo "$as_me:2604: \"$ac_try\"") >&5
    26432605  (eval $ac_try) 2>&5
    26442606  ac_status=$?
    2645   echo "$as_me:2645: \$? = $ac_status" >&5
     2607  echo "$as_me:2607: \$? = $ac_status" >&5
    26462608  (exit $ac_status); }; }; then
    26472609  eval "$as_ac_Header=yes"
     
    26532615rm -f conftest.$ac_objext conftest.$ac_ext
    26542616fi
    2655 echo "$as_me:2655: result: `eval echo '${'$as_ac_Header'}'`" >&5
     2617echo "$as_me:2617: result: `eval echo '${'$as_ac_Header'}'`" >&5
    26562618echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    26572619if test `eval echo '${'$as_ac_Header'}'` = yes; then
     
    26662628# Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
    26672629if test $ac_header_dirent = dirent.h; then
    2668   echo "$as_me:2668: checking for opendir in -ldir" >&5
     2630  echo "$as_me:2630: checking for opendir in -ldir" >&5
    26692631echo $ECHO_N "checking for opendir in -ldir... $ECHO_C" >&6
    26702632if test "${ac_cv_lib_dir_opendir+set}" = set; then
     
    26742636LIBS="-ldir  $LIBS"
    26752637cat >conftest.$ac_ext <<_ACEOF
    2676 #line 2676 "configure"
     2638#line 2638 "configure"
    26772639#include "confdefs.h"
    26782640
     
    26932655_ACEOF
    26942656rm -f conftest.$ac_objext conftest$ac_exeext
    2695 if { (eval echo "$as_me:2695: \"$ac_link\"") >&5
     2657if { (eval echo "$as_me:2657: \"$ac_link\"") >&5
    26962658  (eval $ac_link) 2>&5
    26972659  ac_status=$?
    2698   echo "$as_me:2698: \$? = $ac_status" >&5
     2660  echo "$as_me:2660: \$? = $ac_status" >&5
    26992661  (exit $ac_status); } &&
    27002662         { ac_try='test -s conftest$ac_exeext'
    2701   { (eval echo "$as_me:2701: \"$ac_try\"") >&5
     2663  { (eval echo "$as_me:2663: \"$ac_try\"") >&5
    27022664  (eval $ac_try) 2>&5
    27032665  ac_status=$?
    2704   echo "$as_me:2704: \$? = $ac_status" >&5
     2666  echo "$as_me:2666: \$? = $ac_status" >&5
    27052667  (exit $ac_status); }; }; then
    27062668  ac_cv_lib_dir_opendir=yes
     
    27132675LIBS=$ac_check_lib_save_LIBS
    27142676fi
    2715 echo "$as_me:2715: result: $ac_cv_lib_dir_opendir" >&5
     2677echo "$as_me:2677: result: $ac_cv_lib_dir_opendir" >&5
    27162678echo "${ECHO_T}$ac_cv_lib_dir_opendir" >&6
    27172679if test $ac_cv_lib_dir_opendir = yes; then
     
    27202682
    27212683else
    2722   echo "$as_me:2722: checking for opendir in -lx" >&5
     2684  echo "$as_me:2684: checking for opendir in -lx" >&5
    27232685echo $ECHO_N "checking for opendir in -lx... $ECHO_C" >&6
    27242686if test "${ac_cv_lib_x_opendir+set}" = set; then
     
    27282690LIBS="-lx  $LIBS"
    27292691cat >conftest.$ac_ext <<_ACEOF
    2730 #line 2730 "configure"
     2692#line 2692 "configure"
    27312693#include "confdefs.h"
    27322694
     
    27472709_ACEOF
    27482710rm -f conftest.$ac_objext conftest$ac_exeext
    2749 if { (eval echo "$as_me:2749: \"$ac_link\"") >&5
     2711if { (eval echo "$as_me:2711: \"$ac_link\"") >&5
    27502712  (eval $ac_link) 2>&5
    27512713  ac_status=$?
    2752   echo "$as_me:2752: \$? = $ac_status" >&5
     2714  echo "$as_me:2714: \$? = $ac_status" >&5
    27532715  (exit $ac_status); } &&
    27542716         { ac_try='test -s conftest$ac_exeext'
    2755   { (eval echo "$as_me:2755: \"$ac_try\"") >&5
     2717  { (eval echo "$as_me:2717: \"$ac_try\"") >&5
    27562718  (eval $ac_try) 2>&5
    27572719  ac_status=$?
    2758   echo "$as_me:2758: \$? = $ac_status" >&5
     2720  echo "$as_me:2720: \$? = $ac_status" >&5
    27592721  (exit $ac_status); }; }; then
    27602722  ac_cv_lib_x_opendir=yes
     
    27672729LIBS=$ac_check_lib_save_LIBS
    27682730fi
    2769 echo "$as_me:2769: result: $ac_cv_lib_x_opendir" >&5
     2731echo "$as_me:2731: result: $ac_cv_lib_x_opendir" >&5
    27702732echo "${ECHO_T}$ac_cv_lib_x_opendir" >&6
    27712733if test $ac_cv_lib_x_opendir = yes; then
     
    27752737fi
    27762738
    2777 echo "$as_me:2777: checking for sys/wait.h that is POSIX.1 compatible" >&5
     2739echo "$as_me:2739: checking for sys/wait.h that is POSIX.1 compatible" >&5
    27782740echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6
    27792741if test "${ac_cv_header_sys_wait_h+set}" = set; then
     
    27812743else
    27822744  cat >conftest.$ac_ext <<_ACEOF
    2783 #line 2783 "configure"
     2745#line 2745 "configure"
    27842746#include "confdefs.h"
    27852747#include <sys/types.h>
     
    28032765_ACEOF
    28042766rm -f conftest.$ac_objext
    2805 if { (eval echo "$as_me:2805: \"$ac_compile\"") >&5
     2767if { (eval echo "$as_me:2767: \"$ac_compile\"") >&5
    28062768  (eval $ac_compile) 2>&5
    28072769  ac_status=$?
    2808   echo "$as_me:2808: \$? = $ac_status" >&5
     2770  echo "$as_me:2770: \$? = $ac_status" >&5
    28092771  (exit $ac_status); } &&
    28102772         { ac_try='test -s conftest.$ac_objext'
    2811   { (eval echo "$as_me:2811: \"$ac_try\"") >&5
     2773  { (eval echo "$as_me:2773: \"$ac_try\"") >&5
    28122774  (eval $ac_try) 2>&5
    28132775  ac_status=$?
    2814   echo "$as_me:2814: \$? = $ac_status" >&5
     2776  echo "$as_me:2776: \$? = $ac_status" >&5
    28152777  (exit $ac_status); }; }; then
    28162778  ac_cv_header_sys_wait_h=yes
     
    28222784rm -f conftest.$ac_objext conftest.$ac_ext
    28232785fi
    2824 echo "$as_me:2824: result: $ac_cv_header_sys_wait_h" >&5
     2786echo "$as_me:2786: result: $ac_cv_header_sys_wait_h" >&5
    28252787echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6
    28262788if test $ac_cv_header_sys_wait_h = yes; then
     
    28322794fi
    28332795
    2834 echo "$as_me:2834: checking whether stat file-mode macros are broken" >&5
     2796echo "$as_me:2796: checking whether stat file-mode macros are broken" >&5
    28352797echo $ECHO_N "checking whether stat file-mode macros are broken... $ECHO_C" >&6
    28362798if test "${ac_cv_header_stat_broken+set}" = set; then
     
    28382800else
    28392801  cat >conftest.$ac_ext <<_ACEOF
    2840 #line 2840 "configure"
     2802#line 2802 "configure"
    28412803#include "confdefs.h"
    28422804#include <sys/types.h>
     
    28772839
    28782840fi
    2879 echo "$as_me:2879: result: $ac_cv_header_stat_broken" >&5
     2841echo "$as_me:2841: result: $ac_cv_header_stat_broken" >&5
    28802842echo "${ECHO_T}$ac_cv_header_stat_broken" >&6
    28812843if test $ac_cv_header_stat_broken = yes; then
     
    28902852do
    28912853as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    2892 echo "$as_me:2892: checking for $ac_header" >&5
     2854echo "$as_me:2854: checking for $ac_header" >&5
    28932855echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    28942856if eval "test \"\${$as_ac_Header+set}\" = set"; then
     
    28962858else
    28972859  cat >conftest.$ac_ext <<_ACEOF
    2898 #line 2898 "configure"
     2860#line 2860 "configure"
    28992861#include "confdefs.h"
    29002862#include <$ac_header>
    29012863_ACEOF
    2902 if { (eval echo "$as_me:2902: \"$ac_cpp conftest.$ac_ext\"") >&5
     2864if { (eval echo "$as_me:2864: \"$ac_cpp conftest.$ac_ext\"") >&5
    29032865  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    29042866  ac_status=$?
     
    29062868  rm -f conftest.er1
    29072869  cat conftest.err >&5
    2908   echo "$as_me:2908: \$? = $ac_status" >&5
     2870  echo "$as_me:2870: \$? = $ac_status" >&5
    29092871  (exit $ac_status); } >/dev/null; then
    29102872  if test -s conftest.err; then
     
    29252887rm -f conftest.err conftest.$ac_ext
    29262888fi
    2927 echo "$as_me:2927: result: `eval echo '${'$as_ac_Header'}'`" >&5
     2889echo "$as_me:2889: result: `eval echo '${'$as_ac_Header'}'`" >&5
    29282890echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    29292891if test `eval echo '${'$as_ac_Header'}'` = yes; then
     
    29442906do
    29452907as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    2946 echo "$as_me:2946: checking for $ac_header" >&5
     2908echo "$as_me:2908: checking for $ac_header" >&5
    29472909echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    29482910if eval "test \"\${$as_ac_Header+set}\" = set"; then
     
    29502912else
    29512913  cat >conftest.$ac_ext <<_ACEOF
    2952 #line 2952 "configure"
     2914#line 2914 "configure"
    29532915#include "confdefs.h"
    29542916$ac_includes_default
     
    29562918_ACEOF
    29572919rm -f conftest.$ac_objext
    2958 if { (eval echo "$as_me:2958: \"$ac_compile\"") >&5
     2920if { (eval echo "$as_me:2920: \"$ac_compile\"") >&5
    29592921  (eval $ac_compile) 2>&5
    29602922  ac_status=$?
    2961   echo "$as_me:2961: \$? = $ac_status" >&5
     2923  echo "$as_me:2923: \$? = $ac_status" >&5
    29622924  (exit $ac_status); } &&
    29632925         { ac_try='test -s conftest.$ac_objext'
    2964   { (eval echo "$as_me:2964: \"$ac_try\"") >&5
     2926  { (eval echo "$as_me:2926: \"$ac_try\"") >&5
    29652927  (eval $ac_try) 2>&5
    29662928  ac_status=$?
    2967   echo "$as_me:2967: \$? = $ac_status" >&5
     2929  echo "$as_me:2929: \$? = $ac_status" >&5
    29682930  (exit $ac_status); }; }; then
    29692931  eval "$as_ac_Header=yes"
     
    29752937rm -f conftest.$ac_objext conftest.$ac_ext
    29762938fi
    2977 echo "$as_me:2977: result: `eval echo '${'$as_ac_Header'}'`" >&5
     2939echo "$as_me:2939: result: `eval echo '${'$as_ac_Header'}'`" >&5
    29782940echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    29792941if test `eval echo '${'$as_ac_Header'}'` = yes; then
     
    29852947done
    29862948
    2987 echo "$as_me:2987: checking whether closedir returns void" >&5
     2949echo "$as_me:2949: checking whether closedir returns void" >&5
    29882950echo $ECHO_N "checking whether closedir returns void... $ECHO_C" >&6
    29892951if test "${ac_cv_func_closedir_void+set}" = set; then
     
    29942956else
    29952957  cat >conftest.$ac_ext <<_ACEOF
    2996 #line 2996 "configure"
     2958#line 2958 "configure"
    29972959#include "confdefs.h"
    29982960$ac_includes_default
     
    30112973_ACEOF
    30122974rm -f conftest$ac_exeext
    3013 if { (eval echo "$as_me:3013: \"$ac_link\"") >&5
     2975if { (eval echo "$as_me:2975: \"$ac_link\"") >&5
    30142976  (eval $ac_link) 2>&5
    30152977  ac_status=$?
    3016   echo "$as_me:3016: \$? = $ac_status" >&5
     2978  echo "$as_me:2978: \$? = $ac_status" >&5
    30172979  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    3018   { (eval echo "$as_me:3018: \"$ac_try\"") >&5
     2980  { (eval echo "$as_me:2980: \"$ac_try\"") >&5
    30192981  (eval $ac_try) 2>&5
    30202982  ac_status=$?
    3021   echo "$as_me:3021: \$? = $ac_status" >&5
     2983  echo "$as_me:2983: \$? = $ac_status" >&5
    30222984  (exit $ac_status); }; }; then
    30232985  ac_cv_func_closedir_void=no
     
    30312993fi
    30322994fi
    3033 echo "$as_me:3033: result: $ac_cv_func_closedir_void" >&5
     2995echo "$as_me:2995: result: $ac_cv_func_closedir_void" >&5
    30342996echo "${ECHO_T}$ac_cv_func_closedir_void" >&6
    30352997if test $ac_cv_func_closedir_void = yes; then
     
    30413003fi
    30423004
    3043 echo "$as_me:3043: checking for pid_t" >&5
     3005echo "$as_me:3005: checking for pid_t" >&5
    30443006echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
    30453007if test "${ac_cv_type_pid_t+set}" = set; then
     
    30473009else
    30483010  cat >conftest.$ac_ext <<_ACEOF
    3049 #line 3049 "configure"
     3011#line 3011 "configure"
    30503012#include "confdefs.h"
    30513013$ac_includes_default
     
    30623024_ACEOF
    30633025rm -f conftest.$ac_objext
    3064 if { (eval echo "$as_me:3064: \"$ac_compile\"") >&5
     3026if { (eval echo "$as_me:3026: \"$ac_compile\"") >&5
    30653027  (eval $ac_compile) 2>&5
    30663028  ac_status=$?
    3067   echo "$as_me:3067: \$? = $ac_status" >&5
     3029  echo "$as_me:3029: \$? = $ac_status" >&5
    30683030  (exit $ac_status); } &&
    30693031         { ac_try='test -s conftest.$ac_objext'
    3070   { (eval echo "$as_me:3070: \"$ac_try\"") >&5
     3032  { (eval echo "$as_me:3032: \"$ac_try\"") >&5
    30713033  (eval $ac_try) 2>&5
    30723034  ac_status=$?
    3073   echo "$as_me:3073: \$? = $ac_status" >&5
     3035  echo "$as_me:3035: \$? = $ac_status" >&5
    30743036  (exit $ac_status); }; }; then
    30753037  ac_cv_type_pid_t=yes
     
    30813043rm -f conftest.$ac_objext conftest.$ac_ext
    30823044fi
    3083 echo "$as_me:3083: result: $ac_cv_type_pid_t" >&5
     3045echo "$as_me:3045: result: $ac_cv_type_pid_t" >&5
    30843046echo "${ECHO_T}$ac_cv_type_pid_t" >&6
    30853047if test $ac_cv_type_pid_t = yes; then
     
    30963058do
    30973059as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    3098 echo "$as_me:3098: checking for $ac_header" >&5
     3060echo "$as_me:3060: checking for $ac_header" >&5
    30993061echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    31003062if eval "test \"\${$as_ac_Header+set}\" = set"; then
     
    31023064else
    31033065  cat >conftest.$ac_ext <<_ACEOF
    3104 #line 3104 "configure"
     3066#line 3066 "configure"
    31053067#include "confdefs.h"
    31063068#include <$ac_header>
    31073069_ACEOF
    3108 if { (eval echo "$as_me:3108: \"$ac_cpp conftest.$ac_ext\"") >&5
     3070if { (eval echo "$as_me:3070: \"$ac_cpp conftest.$ac_ext\"") >&5
    31093071  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    31103072  ac_status=$?
     
    31123074  rm -f conftest.er1
    31133075  cat conftest.err >&5
    3114   echo "$as_me:3114: \$? = $ac_status" >&5
     3076  echo "$as_me:3076: \$? = $ac_status" >&5
    31153077  (exit $ac_status); } >/dev/null; then
    31163078  if test -s conftest.err; then
     
    31313093rm -f conftest.err conftest.$ac_ext
    31323094fi
    3133 echo "$as_me:3133: result: `eval echo '${'$as_ac_Header'}'`" >&5
     3095echo "$as_me:3095: result: `eval echo '${'$as_ac_Header'}'`" >&5
    31343096echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    31353097if test `eval echo '${'$as_ac_Header'}'` = yes; then
     
    31443106do
    31453107as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
    3146 echo "$as_me:3146: checking for $ac_func" >&5
     3108echo "$as_me:3108: checking for $ac_func" >&5
    31473109echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
    31483110if eval "test \"\${$as_ac_var+set}\" = set"; then
     
    31503112else
    31513113  cat >conftest.$ac_ext <<_ACEOF
    3152 #line 3152 "configure"
     3114#line 3114 "configure"
    31533115#include "confdefs.h"
    31543116/* System header to define __stub macros and hopefully few prototypes,
     
    31813143_ACEOF
    31823144rm -f conftest.$ac_objext conftest$ac_exeext
    3183 if { (eval echo "$as_me:3183: \"$ac_link\"") >&5
     3145if { (eval echo "$as_me:3145: \"$ac_link\"") >&5
    31843146  (eval $ac_link) 2>&5
    31853147  ac_status=$?
    3186   echo "$as_me:3186: \$? = $ac_status" >&5
     3148  echo "$as_me:3148: \$? = $ac_status" >&5
    31873149  (exit $ac_status); } &&
    31883150         { ac_try='test -s conftest$ac_exeext'
    3189   { (eval echo "$as_me:3189: \"$ac_try\"") >&5
     3151  { (eval echo "$as_me:3151: \"$ac_try\"") >&5
    31903152  (eval $ac_try) 2>&5
    31913153  ac_status=$?
    3192   echo "$as_me:3192: \$? = $ac_status" >&5
     3154  echo "$as_me:3154: \$? = $ac_status" >&5
    31933155  (exit $ac_status); }; }; then
    31943156  eval "$as_ac_var=yes"
     
    32003162rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    32013163fi
    3202 echo "$as_me:3202: result: `eval echo '${'$as_ac_var'}'`" >&5
     3164echo "$as_me:3164: result: `eval echo '${'$as_ac_var'}'`" >&5
    32033165echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
    32043166if test `eval echo '${'$as_ac_var'}'` = yes; then
     
    32123174ac_cv_func_fork_works=$ac_cv_func_fork
    32133175if test "x$ac_cv_func_fork" = xyes; then
    3214   echo "$as_me:3214: checking for working fork" >&5
     3176  echo "$as_me:3176: checking for working fork" >&5
    32153177echo $ECHO_N "checking for working fork... $ECHO_C" >&6
    32163178if test "${ac_cv_func_fork_works+set}" = set; then
     
    32353197_ACEOF
    32363198rm -f conftest$ac_exeext
    3237 if { (eval echo "$as_me:3237: \"$ac_link\"") >&5
     3199if { (eval echo "$as_me:3199: \"$ac_link\"") >&5
    32383200  (eval $ac_link) 2>&5
    32393201  ac_status=$?
    3240   echo "$as_me:3240: \$? = $ac_status" >&5
     3202  echo "$as_me:3202: \$? = $ac_status" >&5
    32413203  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    3242   { (eval echo "$as_me:3242: \"$ac_try\"") >&5
     3204  { (eval echo "$as_me:3204: \"$ac_try\"") >&5
    32433205  (eval $ac_try) 2>&5
    32443206  ac_status=$?
    3245   echo "$as_me:3245: \$? = $ac_status" >&5
     3207  echo "$as_me:3207: \$? = $ac_status" >&5
    32463208  (exit $ac_status); }; }; then
    32473209  ac_cv_func_fork_works=yes
     
    32553217fi
    32563218fi
    3257 echo "$as_me:3257: result: $ac_cv_func_fork_works" >&5
     3219echo "$as_me:3219: result: $ac_cv_func_fork_works" >&5
    32583220echo "${ECHO_T}$ac_cv_func_fork_works" >&6
    32593221
     
    32693231      ;;
    32703232  esac
    3271   { echo "$as_me:3271: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
     3233  { echo "$as_me:3233: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
    32723234echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
    32733235fi
    32743236ac_cv_func_vfork_works=$ac_cv_func_vfork
    32753237if test "x$ac_cv_func_vfork" = xyes; then
    3276   echo "$as_me:3276: checking for working vfork" >&5
     3238  echo "$as_me:3238: checking for working vfork" >&5
    32773239echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
    32783240if test "${ac_cv_func_vfork_works+set}" = set; then
     
    32833245else
    32843246  cat >conftest.$ac_ext <<_ACEOF
    3285 #line 3285 "configure"
     3247#line 3247 "configure"
    32863248#include "confdefs.h"
    32873249/* Thanks to Paul Eggert for this test.  */
     
    33803342_ACEOF
    33813343rm -f conftest$ac_exeext
    3382 if { (eval echo "$as_me:3382: \"$ac_link\"") >&5
     3344if { (eval echo "$as_me:3344: \"$ac_link\"") >&5
    33833345  (eval $ac_link) 2>&5
    33843346  ac_status=$?
    3385   echo "$as_me:3385: \$? = $ac_status" >&5
     3347  echo "$as_me:3347: \$? = $ac_status" >&5
    33863348  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    3387   { (eval echo "$as_me:3387: \"$ac_try\"") >&5
     3349  { (eval echo "$as_me:3349: \"$ac_try\"") >&5
    33883350  (eval $ac_try) 2>&5
    33893351  ac_status=$?
    3390   echo "$as_me:3390: \$? = $ac_status" >&5
     3352  echo "$as_me:3352: \$? = $ac_status" >&5
    33913353  (exit $ac_status); }; }; then
    33923354  ac_cv_func_vfork_works=yes
     
    34003362fi
    34013363fi
    3402 echo "$as_me:3402: result: $ac_cv_func_vfork_works" >&5
     3364echo "$as_me:3364: result: $ac_cv_func_vfork_works" >&5
    34033365echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
    34043366
     
    34063368if test "x$ac_cv_func_fork_works" = xcross; then
    34073369  ac_cv_func_vfork_works=ac_cv_func_vfork
    3408   { echo "$as_me:3408: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
     3370  { echo "$as_me:3370: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
    34093371echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
    34103372fi
     
    34313393fi
    34323394
    3433 echo "$as_me:3433: checking whether strerror_r is declared" >&5
     3395echo "$as_me:3395: checking whether strerror_r is declared" >&5
    34343396echo $ECHO_N "checking whether strerror_r is declared... $ECHO_C" >&6
    34353397if test "${ac_cv_have_decl_strerror_r+set}" = set; then
     
    34373399else
    34383400  cat >conftest.$ac_ext <<_ACEOF
    3439 #line 3439 "configure"
     3401#line 3401 "configure"
    34403402#include "confdefs.h"
    34413403$ac_includes_default
     
    34523414_ACEOF
    34533415rm -f conftest.$ac_objext
    3454 if { (eval echo "$as_me:3454: \"$ac_compile\"") >&5
     3416if { (eval echo "$as_me:3416: \"$ac_compile\"") >&5
    34553417  (eval $ac_compile) 2>&5
    34563418  ac_status=$?
    3457   echo "$as_me:3457: \$? = $ac_status" >&5
     3419  echo "$as_me:3419: \$? = $ac_status" >&5
    34583420  (exit $ac_status); } &&
    34593421         { ac_try='test -s conftest.$ac_objext'
    3460   { (eval echo "$as_me:3460: \"$ac_try\"") >&5
     3422  { (eval echo "$as_me:3422: \"$ac_try\"") >&5
    34613423  (eval $ac_try) 2>&5
    34623424  ac_status=$?
    3463   echo "$as_me:3463: \$? = $ac_status" >&5
     3425  echo "$as_me:3425: \$? = $ac_status" >&5
    34643426  (exit $ac_status); }; }; then
    34653427  ac_cv_have_decl_strerror_r=yes
     
    34713433rm -f conftest.$ac_objext conftest.$ac_ext
    34723434fi
    3473 echo "$as_me:3473: result: $ac_cv_have_decl_strerror_r" >&5
     3435echo "$as_me:3435: result: $ac_cv_have_decl_strerror_r" >&5
    34743436echo "${ECHO_T}$ac_cv_have_decl_strerror_r" >&6
    34753437if test $ac_cv_have_decl_strerror_r = yes; then
     
    34893451do
    34903452as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
    3491 echo "$as_me:3491: checking for $ac_func" >&5
     3453echo "$as_me:3453: checking for $ac_func" >&5
    34923454echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
    34933455if eval "test \"\${$as_ac_var+set}\" = set"; then
     
    34953457else
    34963458  cat >conftest.$ac_ext <<_ACEOF
    3497 #line 3497 "configure"
     3459#line 3459 "configure"
    34983460#include "confdefs.h"
    34993461/* System header to define __stub macros and hopefully few prototypes,
     
    35263488_ACEOF
    35273489rm -f conftest.$ac_objext conftest$ac_exeext
    3528 if { (eval echo "$as_me:3528: \"$ac_link\"") >&5
     3490if { (eval echo "$as_me:3490: \"$ac_link\"") >&5
    35293491  (eval $ac_link) 2>&5
    35303492  ac_status=$?
    3531   echo "$as_me:3531: \$? = $ac_status" >&5
     3493  echo "$as_me:3493: \$? = $ac_status" >&5
    35323494  (exit $ac_status); } &&
    35333495         { ac_try='test -s conftest$ac_exeext'
    3534   { (eval echo "$as_me:3534: \"$ac_try\"") >&5
     3496  { (eval echo "$as_me:3496: \"$ac_try\"") >&5
    35353497  (eval $ac_try) 2>&5
    35363498  ac_status=$?
    3537   echo "$as_me:3537: \$? = $ac_status" >&5
     3499  echo "$as_me:3499: \$? = $ac_status" >&5
    35383500  (exit $ac_status); }; }; then
    35393501  eval "$as_ac_var=yes"
     
    35453507rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    35463508fi
    3547 echo "$as_me:3547: result: `eval echo '${'$as_ac_var'}'`" >&5
     3509echo "$as_me:3509: result: `eval echo '${'$as_ac_var'}'`" >&5
    35483510echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
    35493511if test `eval echo '${'$as_ac_var'}'` = yes; then
     
    35563518
    35573519if test $ac_cv_func_strerror_r = yes; then
    3558   echo "$as_me:3558: checking for working strerror_r" >&5
     3520  echo "$as_me:3520: checking for working strerror_r" >&5
    35593521echo $ECHO_N "checking for working strerror_r... $ECHO_C" >&6
    35603522if test "${ac_cv_func_strerror_r_works+set}" = set; then
     
    35633525
    35643526    cat >conftest.$ac_ext <<_ACEOF
    3565 #line 3565 "configure"
     3527#line 3527 "configure"
    35663528#include "confdefs.h"
    35673529$ac_includes_default
     
    35783540_ACEOF
    35793541rm -f conftest.$ac_objext
    3580 if { (eval echo "$as_me:3580: \"$ac_compile\"") >&5
     3542if { (eval echo "$as_me:3542: \"$ac_compile\"") >&5
    35813543  (eval $ac_compile) 2>&5
    35823544  ac_status=$?
    3583   echo "$as_me:3583: \$? = $ac_status" >&5
     3545  echo "$as_me:3545: \$? = $ac_status" >&5
    35843546  (exit $ac_status); } &&
    35853547         { ac_try='test -s conftest.$ac_objext'
    3586   { (eval echo "$as_me:3586: \"$ac_try\"") >&5
     3548  { (eval echo "$as_me:3548: \"$ac_try\"") >&5
    35873549  (eval $ac_try) 2>&5
    35883550  ac_status=$?
    3589   echo "$as_me:3589: \$? = $ac_status" >&5
     3551  echo "$as_me:3551: \$? = $ac_status" >&5
    35903552  (exit $ac_status); }; }; then
    35913553  ac_cv_func_strerror_r_works=yes
     
    36073569else
    36083570  cat >conftest.$ac_ext <<_ACEOF
    3609 #line 3609 "configure"
     3571#line 3571 "configure"
    36103572#include "confdefs.h"
    36113573$ac_includes_default
     
    36223584_ACEOF
    36233585rm -f conftest$ac_exeext
    3624 if { (eval echo "$as_me:3624: \"$ac_link\"") >&5
     3586if { (eval echo "$as_me:3586: \"$ac_link\"") >&5
    36253587  (eval $ac_link) 2>&5
    36263588  ac_status=$?
    3627   echo "$as_me:3627: \$? = $ac_status" >&5
     3589  echo "$as_me:3589: \$? = $ac_status" >&5
    36283590  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    3629   { (eval echo "$as_me:3629: \"$ac_try\"") >&5
     3591  { (eval echo "$as_me:3591: \"$ac_try\"") >&5
    36303592  (eval $ac_try) 2>&5
    36313593  ac_status=$?
    3632   echo "$as_me:3632: \$? = $ac_status" >&5
     3594  echo "$as_me:3594: \$? = $ac_status" >&5
    36333595  (exit $ac_status); }; }; then
    36343596  ac_cv_func_strerror_r_works=yes
     
    36443606
    36453607fi
    3646 echo "$as_me:3646: result: $ac_cv_func_strerror_r_works" >&5
     3608echo "$as_me:3608: result: $ac_cv_func_strerror_r_works" >&5
    36473609echo "${ECHO_T}$ac_cv_func_strerror_r_works" >&6
    36483610  if test $ac_cv_func_strerror_r_works = yes; then
     
    36583620do
    36593621as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
    3660 echo "$as_me:3660: checking for $ac_func" >&5
     3622echo "$as_me:3622: checking for $ac_func" >&5
    36613623echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
    36623624if eval "test \"\${$as_ac_var+set}\" = set"; then
     
    36643626else
    36653627  cat >conftest.$ac_ext <<_ACEOF
    3666 #line 3666 "configure"
     3628#line 3628 "configure"
    36673629#include "confdefs.h"
    36683630/* System header to define __stub macros and hopefully few prototypes,
     
    36953657_ACEOF
    36963658rm -f conftest.$ac_objext conftest$ac_exeext
    3697 if { (eval echo "$as_me:3697: \"$ac_link\"") >&5
     3659if { (eval echo "$as_me:3659: \"$ac_link\"") >&5
    36983660  (eval $ac_link) 2>&5
    36993661  ac_status=$?
    3700   echo "$as_me:3700: \$? = $ac_status" >&5
     3662  echo "$as_me:3662: \$? = $ac_status" >&5
    37013663  (exit $ac_status); } &&
    37023664         { ac_try='test -s conftest$ac_exeext'
    3703   { (eval echo "$as_me:3703: \"$ac_try\"") >&5
     3665  { (eval echo "$as_me:3665: \"$ac_try\"") >&5
    37043666  (eval $ac_try) 2>&5
    37053667  ac_status=$?
    3706   echo "$as_me:3706: \$? = $ac_status" >&5
     3668  echo "$as_me:3668: \$? = $ac_status" >&5
    37073669  (exit $ac_status); }; }; then
    37083670  eval "$as_ac_var=yes"
     
    37143676rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    37153677fi
    3716 echo "$as_me:3716: result: `eval echo '${'$as_ac_var'}'`" >&5
     3678echo "$as_me:3678: result: `eval echo '${'$as_ac_var'}'`" >&5
    37173679echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
    37183680if test `eval echo '${'$as_ac_var'}'` = yes; then
     
    37413703  with_tclconfig=${withval}
    37423704fi;
    3743         echo "$as_me:3743: checking for Tcl configuration" >&5
     3705        echo "$as_me:3705: checking for Tcl configuration" >&5
    37443706echo $ECHO_N "checking for Tcl configuration... $ECHO_C" >&6
    37453707        if test "${ac_cv_c_tclconfig+set}" = set; then
     
    37523714                    ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
    37533715                else
    3754                     { { echo "$as_me:3754: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5
     3716                    { { echo "$as_me:3716: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5
    37553717echo "$as_me: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&2;}
    37563718   { (exit 1); exit 1; }; }
     
    38063768        if test x"${ac_cv_c_tclconfig}" = x ; then
    38073769            TCL_BIN_DIR="# no Tcl configs found"
    3808             { echo "$as_me:3808: WARNING: Can't find Tcl configuration definitions" >&5
     3770            { echo "$as_me:3770: WARNING: Can't find Tcl configuration definitions" >&5
    38093771echo "$as_me: WARNING: Can't find Tcl configuration definitions" >&2;}
    38103772            exit 0
     
    38123774            no_tcl=
    38133775            TCL_BIN_DIR=${ac_cv_c_tclconfig}
    3814             echo "$as_me:3814: result: found $TCL_BIN_DIR/tclConfig.sh" >&5
     3776            echo "$as_me:3776: result: found $TCL_BIN_DIR/tclConfig.sh" >&5
    38153777echo "${ECHO_T}found $TCL_BIN_DIR/tclConfig.sh" >&6
    38163778        fi
    38173779    fi
    38183780
    3819     echo "$as_me:3819: checking for existence of $TCL_BIN_DIR/tclConfig.sh" >&5
     3781    echo "$as_me:3781: checking for existence of $TCL_BIN_DIR/tclConfig.sh" >&5
    38203782echo $ECHO_N "checking for existence of $TCL_BIN_DIR/tclConfig.sh... $ECHO_C" >&6
    38213783
    38223784    if test -f "$TCL_BIN_DIR/tclConfig.sh" ; then
    3823         echo "$as_me:3823: result: loading" >&5
     3785        echo "$as_me:3785: result: loading" >&5
    38243786echo "${ECHO_T}loading" >&6
    38253787        . $TCL_BIN_DIR/tclConfig.sh
    38263788    else
    3827         echo "$as_me:3827: result: file not found" >&5
     3789        echo "$as_me:3789: result: file not found" >&5
    38283790echo "${ECHO_T}file not found" >&6
    38293791    fi
     
    38593821CYGPATH=echo
    38603822
    3861     echo "$as_me:3861: checking for Tcl public headers" >&5
     3823    echo "$as_me:3823: checking for Tcl public headers" >&5
    38623824echo $ECHO_N "checking for Tcl public headers... $ECHO_C" >&6
    38633825
     
    38723834            ac_cv_c_tclh=${with_tclinclude}
    38733835        else
    3874             { { echo "$as_me:3874: error: ${with_tclinclude} directory does not contain Tcl public header file tcl.h" >&5
     3836            { { echo "$as_me:3836: error: ${with_tclinclude} directory does not contain Tcl public header file tcl.h" >&5
    38753837echo "$as_me: error: ${with_tclinclude} directory does not contain Tcl public header file tcl.h" >&2;}
    38763838   { (exit 1); exit 1; }; }
     
    39063868
    39073869    if test x"${ac_cv_c_tclh}" = x ; then
    3908         { { echo "$as_me:3908: error: tcl.h not found.  Please specify its location with --with-tclinclude" >&5
     3870        { { echo "$as_me:3870: error: tcl.h not found.  Please specify its location with --with-tclinclude" >&5
    39093871echo "$as_me: error: tcl.h not found.  Please specify its location with --with-tclinclude" >&2;}
    39103872   { (exit 1); exit 1; }; }
    39113873    else
    3912         echo "$as_me:3912: result: ${ac_cv_c_tclh}" >&5
     3874        echo "$as_me:3874: result: ${ac_cv_c_tclh}" >&5
    39133875echo "${ECHO_T}${ac_cv_c_tclh}" >&6
    39143876    fi
     
    39283890                        # Extract the first word of "tclsh${TCL_VERSION} tclsh", so it can be a program name with args.
    39293891set dummy tclsh${TCL_VERSION} tclsh; ac_word=$2
    3930 echo "$as_me:3930: checking for $ac_word" >&5
     3892echo "$as_me:3892: checking for $ac_word" >&5
    39313893echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    39323894if test "${ac_cv_path_TCLSH+set}" = set; then
     
    39453907  if $as_executable_p "$ac_dir/$ac_word"; then
    39463908   ac_cv_path_TCLSH="$ac_dir/$ac_word"
    3947    echo "$as_me:3947: found $ac_dir/$ac_word" >&5
     3909   echo "$as_me:3909: found $ac_dir/$ac_word" >&5
    39483910   break
    39493911fi
     
    39563918
    39573919if test -n "$TCLSH"; then
    3958   echo "$as_me:3958: result: $TCLSH" >&5
     3920  echo "$as_me:3920: result: $TCLSH" >&5
    39593921echo "${ECHO_T}$TCLSH" >&6
    39603922else
    3961   echo "$as_me:3961: result: no" >&5
     3923  echo "$as_me:3923: result: no" >&5
    39623924echo "${ECHO_T}no" >&6
    39633925fi
     
    39683930                        # Extract the first word of "tclsh tclsh${TCL_VERSION}", so it can be a program name with args.
    39693931set dummy tclsh tclsh${TCL_VERSION}; ac_word=$2
    3970 echo "$as_me:3970: checking for $ac_word" >&5
     3932echo "$as_me:3932: checking for $ac_word" >&5
    39713933echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    39723934if test "${ac_cv_path_TCLSH+set}" = set; then
     
    39853947  if $as_executable_p "$ac_dir/$ac_word"; then
    39863948   ac_cv_path_TCLSH="$ac_dir/$ac_word"
    3987    echo "$as_me:3987: found $ac_dir/$ac_word" >&5
     3949   echo "$as_me:3949: found $ac_dir/$ac_word" >&5
    39883950   break
    39893951fi
     
    39963958
    39973959if test -n "$TCLSH"; then
    3998   echo "$as_me:3998: result: $TCLSH" >&5
     3960  echo "$as_me:3960: result: $TCLSH" >&5
    39993961echo "${ECHO_T}$TCLSH" >&6
    40003962else
    4001   echo "$as_me:4001: result: no" >&5
     3963  echo "$as_me:3963: result: no" >&5
    40023964echo "${ECHO_T}no" >&6
    40033965fi
     
    40063968        esac
    40073969        if test "x$TCLSH" = "x" ; then
    4008                 { { echo "$as_me:4008: error: Could not find tclsh" >&5
     3970                { { echo "$as_me:3970: error: Could not find tclsh" >&5
    40093971echo "$as_me: error: Could not find tclsh" >&2;}
    40103972   { (exit 1); exit 1; }; }
     
    40133975# Check for Tcl package path
    40143976
    4015     echo "$as_me:4015: checking for Tcl package directory" >&5
     3977    echo "$as_me:3977: checking for Tcl package directory" >&5
    40163978echo $ECHO_N "checking for Tcl package directory... $ECHO_C" >&6
    40173979
     
    40674029
    40684030    if test x"${ac_cv_c_tclpkgd}" = x ; then
    4069         { { echo "$as_me:4069: error: Tcl package directory not found.  Please specify its location with --with-tclpackagedir" >&5
     4031        { { echo "$as_me:4031: error: Tcl package directory not found.  Please specify its location with --with-tclpackagedir" >&5
    40704032echo "$as_me: error: Tcl package directory not found.  Please specify its location with --with-tclpackagedir" >&2;}
    40714033   { (exit 1); exit 1; }; }
    40724034    else
    4073         echo "$as_me:4073: result: ${ac_cv_c_tclpkgd}" >&5
     4035        echo "$as_me:4035: result: ${ac_cv_c_tclpkgd}" >&5
    40744036echo "${ECHO_T}${ac_cv_c_tclpkgd}" >&6
    40754037    fi
     
    40834045# Allows building of shared libraries
    40844046
    4085     echo "$as_me:4085: checking how to build libraries" >&5
     4047    echo "$as_me:4047: checking how to build libraries" >&5
    40864048echo $ECHO_N "checking how to build libraries... $ECHO_C" >&6
    40874049    # Check whether --enable-shared or --disable-shared was given.
     
    41014063
    41024064    if test "$tcl_ok" = "yes" ; then
    4103         echo "$as_me:4103: result: shared" >&5
     4065        echo "$as_me:4065: result: shared" >&5
    41044066echo "${ECHO_T}shared" >&6
    41054067        SHARED_BUILD=1
    41064068    else
    4107         echo "$as_me:4107: result: static" >&5
     4069        echo "$as_me:4069: result: static" >&5
    41084070echo "${ECHO_T}static" >&6
    41094071        SHARED_BUILD=0
     
    42264188ac_clean_files_save=$ac_clean_files
    42274189ac_clean_files="$ac_clean_files $CONFIG_STATUS"
    4228 { echo "$as_me:4228: creating $CONFIG_STATUS" >&5
     4190{ echo "$as_me:4190: creating $CONFIG_STATUS" >&5
    42294191echo "$as_me: creating $CONFIG_STATUS" >&6;}
    42304192cat >$CONFIG_STATUS <<_ACEOF
     
    43994361  --he | --h)
    44004362    # Conflict between --help and --header
    4401     { { echo "$as_me:4401: error: ambiguous option: $1
     4363    { { echo "$as_me:4363: error: ambiguous option: $1
    44024364Try \`$0 --help' for more information." >&5
    44034365echo "$as_me: error: ambiguous option: $1
     
    44184380
    44194381  # This is an error.
    4420   -*) { { echo "$as_me:4420: error: unrecognized option: $1
     4382  -*) { { echo "$as_me:4382: error: unrecognized option: $1
    44214383Try \`$0 --help' for more information." >&5
    44224384echo "$as_me: error: unrecognized option: $1
     
    44604422  "src/programs/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/programs/Makefile" ;;
    44614423  "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
    4462   *) { { echo "$as_me:4462: error: invalid argument: $ac_config_target" >&5
     4424  *) { { echo "$as_me:4424: error: invalid argument: $ac_config_target" >&5
    44634425echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    44644426   { (exit 1); exit 1; }; };;
     
    45694531s,@CPP@,$CPP,;t t
    45704532s,@MD5_LIBS@,$MD5_LIBS,;t t
    4571 s,@DPORTSDIR@,$DPORTSDIR,;t t
    45724533s,@PORTCONFIGDIR@,$PORTCONFIGDIR,;t t
    45734534s,@DSTUSR@,$DSTUSR,;t t
     
    47114672
    47124673  if test x"$ac_file" != x-; then
    4713     { echo "$as_me:4713: creating $ac_file" >&5
     4674    { echo "$as_me:4674: creating $ac_file" >&5
    47144675echo "$as_me: creating $ac_file" >&6;}
    47154676    rm -f "$ac_file"
     
    47294690      [\\/$]*)
    47304691         # Absolute (can't be DOS-style, as IFS=:)
    4731          test -f "$f" || { { echo "$as_me:4731: error: cannot find input file: $f" >&5
     4692         test -f "$f" || { { echo "$as_me:4692: error: cannot find input file: $f" >&5
    47324693echo "$as_me: error: cannot find input file: $f" >&2;}
    47334694   { (exit 1); exit 1; }; }
     
    47424703         else
    47434704           # /dev/null tree
    4744            { { echo "$as_me:4744: error: cannot find input file: $f" >&5
     4705           { { echo "$as_me:4705: error: cannot find input file: $f" >&5
    47454706echo "$as_me: error: cannot find input file: $f" >&2;}
    47464707   { (exit 1); exit 1; }; }
     
    48034764  esac
    48044765
    4805   test x"$ac_file" != x- && { echo "$as_me:4805: creating $ac_file" >&5
     4766  test x"$ac_file" != x- && { echo "$as_me:4766: creating $ac_file" >&5
    48064767echo "$as_me: creating $ac_file" >&6;}
    48074768
     
    48144775      [\\/$]*)
    48154776         # Absolute (can't be DOS-style, as IFS=:)
    4816          test -f "$f" || { { echo "$as_me:4816: error: cannot find input file: $f" >&5
     4777         test -f "$f" || { { echo "$as_me:4777: error: cannot find input file: $f" >&5
    48174778echo "$as_me: error: cannot find input file: $f" >&2;}
    48184779   { (exit 1); exit 1; }; }
     
    48274788         else
    48284789           # /dev/null tree
    4829            { { echo "$as_me:4829: error: cannot find input file: $f" >&5
     4790           { { echo "$as_me:4790: error: cannot find input file: $f" >&5
    48304791echo "$as_me: error: cannot find input file: $f" >&2;}
    48314792   { (exit 1); exit 1; }; }
     
    49444905  if test x"$ac_file" != x-; then
    49454906    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
    4946       { echo "$as_me:4946: $ac_file is unchanged" >&5
     4907      { echo "$as_me:4907: $ac_file is unchanged" >&5
    49474908echo "$as_me: $ac_file is unchanged" >&6;}
    49484909    else
     
    50485009    test -d $srcdir/$ac_subdir || continue
    50495010
    5050     { echo "$as_me:5050: configuring in $ac_subdir" >&5
     5011    { echo "$as_me:5011: configuring in $ac_subdir" >&5
    50515012echo "$as_me: configuring in $ac_subdir" >&6;}
    50525013    case $srcdir in
     
    50705031       if test -d ./$ac_subdir; then :;
    50715032       else
    5072          { { echo "$as_me:5072: error: cannot create \`pwd\`/$ac_subdir" >&5
     5033         { { echo "$as_me:5033: error: cannot create \`pwd\`/$ac_subdir" >&5
    50735034echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
    50745035   { (exit 1); exit 1; }; }
     
    51015062      ac_sub_configure=$ac_configure
    51025063    else
    5103       { echo "$as_me:5103: WARNING: no configuration information is in $ac_subdir" >&5
     5064      { echo "$as_me:5064: WARNING: no configuration information is in $ac_subdir" >&5
    51045065echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
    51055066      ac_sub_configure=
     
    51155076      esac
    51165077
    5117       { echo "$as_me:5117: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
     5078      { echo "$as_me:5078: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
    51185079echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
    51195080      # The eval makes quoting arguments work.
    51205081      eval $ac_sub_configure $ac_sub_configure_args \
    51215082           --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
    5122         { { echo "$as_me:5122: error: $ac_sub_configure failed for $ac_subdir" >&5
     5083        { { echo "$as_me:5083: error: $ac_sub_configure failed for $ac_subdir" >&5
    51235084echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
    51245085   { (exit 1); exit 1; }; }
  • trunk/base/configure.ac

    r3639 r3640  
    2020# Check for paths
    2121AC_PREFIX_DEFAULT(/opt/local)
    22 # OD_PATH_DPORTSDIR([/usr/dports])  # not implemented yet
    2322OD_PATH_PORTCONFIGDIR([/etc/ports], [$prefix])
    2423
Note: See TracChangeset for help on using the changeset viewer.